Index: /orxonox/branches/updater/src/gui/orxonox_gui.cc
===================================================================
--- /orxonox/branches/updater/src/gui/orxonox_gui.cc	(revision 3314)
+++ /orxonox/branches/updater/src/gui/orxonox_gui.cc	(revision 3315)
@@ -45,5 +45,5 @@
 int verbose = 4;
 
-int main( int argc, char *argv[] )
+int main(int argc, char *argv[])
 {
   OrxonoxGui* orxonoxgui = new OrxonoxGui(argc, argv);
@@ -56,5 +56,5 @@
    \brief Initializes the Gui
 */
-OrxonoxGui::OrxonoxGui (int argc, char *argv[])
+OrxonoxGui::OrxonoxGui(int argc, char *argv[])
 {
   initGUI(argc, argv);
@@ -67,35 +67,35 @@
   windowBox->fill (banner->getWidget());
   
-  Box* optionBox = new Box ('v');
+  Box* optionBox = new Box('v');
   
-  Box* avBox = new Box ('h');
+  Box* avBox = new Box('h');
 
-  video = new OrxonoxGuiVideo ();
-  avBox->fill (video->getWidget ());
-  audio = new OrxonoxGuiAudio ();
-  avBox->fill (audio->getWidget ());
+  video = new OrxonoxGuiVideo();
+  avBox->fill(video->getWidget());
+  audio = new OrxonoxGuiAudio();
+  avBox->fill(audio->getWidget());
       
-  optionBox->fill (avBox);
+  optionBox->fill(avBox);
 
-  keys = new OrxonoxGuiKeys ();
-  optionBox->fill (keys->getWidget ());
+  keys = new OrxonoxGuiKeys();
+  optionBox->fill(keys->getWidget());
 
-  exec = new OrxonoxGuiExec (orxonoxGUI);
-  optionBox->fill (exec->getWidget ());
+  exec = new OrxonoxGuiExec();
+  optionBox->fill(exec->getWidget());
 
-  flags = new OrxonoxGuiFlags (orxonoxGUI);
+  flags = new OrxonoxGuiFlags();
 
-  optionBox->fill (flags->getWidget ());
-  windowBox->fill (optionBox);
+  optionBox->fill(flags->getWidget());
+  windowBox->fill(optionBox);
 
-  update = new OrxonoxGuiUpdate ();
+  update = new OrxonoxGuiUpdate();
   optionBox->fill(update->getWidget());
   
-  orxonoxGUI->fill (windowBox);
-  flags->setTextFromFlags (orxonoxGUI);
+  orxonoxGUI->fill(windowBox);
+  flags->setTextFromFlags(orxonoxGUI);
 
   // Reading Values from File
-  exec->setFilename ("~/.orxonox.conf");
-  exec->readFromFile (orxonoxGUI);
+  exec->setFilename("~/.orxonox.conf");
+  exec->readFromFile(orxonoxGUI);
   // Merging changes to the Options from appended flags.
   for (int optCount = 1; optCount < argc; optCount++)
@@ -103,5 +103,5 @@
 
 
-  orxonoxGUI->showall ();
+  orxonoxGUI->showall();
 
   //// Handling special Cases. ///
@@ -124,2 +124,11 @@
 
 }
+
+
+/**
+   \breif Destructor.
+*/
+OrxonoxGui::~OrxonoxGui(void)
+{
+  
+}
Index: /orxonox/branches/updater/src/gui/orxonox_gui.h
===================================================================
--- /orxonox/branches/updater/src/gui/orxonox_gui.h	(revision 3314)
+++ /orxonox/branches/updater/src/gui/orxonox_gui.h	(revision 3315)
@@ -25,6 +25,6 @@
 {
  public:
-  OrxonoxGui (int argc, char *argv[]);
-  ~OrxonoxGui ();
+  OrxonoxGui(int argc, char *argv[]);
+  ~OrxonoxGui(void);
 
 };
Index: /orxonox/branches/updater/src/gui/orxonox_gui_audio.cc
===================================================================
--- /orxonox/branches/updater/src/gui/orxonox_gui_audio.cc	(revision 3314)
+++ /orxonox/branches/updater/src/gui/orxonox_gui_audio.cc	(revision 3315)
@@ -29,28 +29,28 @@
    \brief Creates an Audio-Frame
 */
-OrxonoxGuiAudio::OrxonoxGuiAudio ()
+OrxonoxGuiAudio::OrxonoxGuiAudio(void)
 {
-  audioFrame = new Frame ("Audio-Options:");
-  audioBox = new Box ('v');
-  audioFrame->setGroupName ("audio");
+  this->audioFrame = new Frame("Audio-Options:");
+  this->audioBox = new Box('v');
+  this->audioFrame->setGroupName("audio");
   
-  enableSound = new CheckButton ("Disable Sound");
-  enableSound->setFlagName ("no-sound", 0);
-  enableSound->saveability();
-  audioBox->fill (enableSound);
-  Label* musicVolumeLabel = new Label ("Music Volume");
-  audioBox->fill (musicVolumeLabel);
-  musicVolume = new Slider ("Music Volume", 0, 100);
-  musicVolume->setFlagName ("music-volume", "m", 80);
-  musicVolume->saveability();
-  audioBox->fill (musicVolume);
+  this->enableSound = new CheckButton("Disable Sound");
+  this->enableSound->setFlagName ("no-sound", 0);
+  this->enableSound->saveability();
+  this->audioBox->fill(this->enableSound);
+  Label* musicVolumeLabel = new Label("Music Volume");
+  this->audioBox->fill(musicVolumeLabel);
+  this->musicVolume = new Slider("Music Volume", 0, 100);
+  this->musicVolume->setFlagName("music-volume", "m", 80);
+  this->musicVolume->saveability();
+  this->audioBox->fill (this->musicVolume);
   Label* effectsVolumeLabel = new Label ("Effects Volume");
-  audioBox->fill (effectsVolumeLabel);
-  effectsVolume = new Slider ("Effects Volume", 0, 100);
-  effectsVolume->setFlagName ("effects-volume", "e", 80);
-  effectsVolume->saveability();
-  audioBox->fill (effectsVolume);
+  this->audioBox->fill (effectsVolumeLabel);
+  this->effectsVolume = new Slider ("Effects Volume", 0, 100);
+  this->effectsVolume->setFlagName ("effects-volume", "e", 80);
+  this->effectsVolume->saveability();
+  this->audioBox->fill (this->effectsVolume);
 
-  audioFrame->fill (audioBox);
+  this->audioFrame->fill (this->audioBox);
 }
 
@@ -59,6 +59,6 @@
    \return Returns the Audio-frame
 */
-Widget* OrxonoxGuiAudio::getWidget ()
+Widget* OrxonoxGuiAudio::getWidget(void)
 {
-  return audioFrame;
+  return this->audioFrame;
 }
Index: /orxonox/branches/updater/src/gui/orxonox_gui_audio.h
===================================================================
--- /orxonox/branches/updater/src/gui/orxonox_gui_audio.h	(revision 3314)
+++ /orxonox/branches/updater/src/gui/orxonox_gui_audio.h	(revision 3315)
@@ -19,8 +19,8 @@
   Slider* effectsVolume;    //!< A Slider for effects volume.
  public:
-  OrxonoxGuiAudio ();
-  ~OrxonoxGuiAudio ();
+  OrxonoxGuiAudio(void);
+  ~OrxonoxGuiAudio(void);
   
-  Widget* getWidget ();
+  Widget* getWidget(void);
 };
 #endif /* _ORXONOX_GUI_AUDIO_H */
Index: /orxonox/branches/updater/src/gui/orxonox_gui_banner.cc
===================================================================
--- /orxonox/branches/updater/src/gui/orxonox_gui_banner.cc	(revision 3314)
+++ /orxonox/branches/updater/src/gui/orxonox_gui_banner.cc	(revision 3315)
@@ -29,35 +29,35 @@
    \brief Creates a new BannerEventBox and its content.
 */
-OrxonoxGuiBanner::OrxonoxGuiBanner ()
+OrxonoxGuiBanner::OrxonoxGuiBanner(void)
 {
   // Banner Itself //
-  bannerEventBox = new EventBox("BannerEventBox");
-  bannerImage = new Image("banner.xpm");
-  bannerEventBox->fill(bannerImage);
+  this->bannerEventBox = new EventBox("BannerEventBox");
+  this->bannerImage = new Image("banner.xpm");
+  this->bannerEventBox->fill(this->bannerImage);
 
   // Banner Window //
-  logoWindow = new Window("Logo");
+  this->logoWindow = new Window("Logo");
 
 #ifdef HAVE_GTK2
-  bannerEventBox->connectSignal ("button_press_event", logoWindow, Window::windowOpen);
+  this->bannerEventBox->connectSignal("button_press_event", this->logoWindow, Window::windowOpen);
 
-  logoWindow->connectSignal("destroy", logoWindow, Window::windowClose);
-  logoWindow->connectSignal("delete_event", logoWindow, Window::windowClose);
+  this->logoWindow->connectSignal("destroy", this->logoWindow, Window::windowClose);
+  this->logoWindow->connectSignal("delete_event", this->logoWindow, Window::windowClose);
 #endif /* HAVE_GTK2 */
-  logoEventBox = new EventBox();
-  logoBox = new Box('v');
-  logoLabel = new Label("OrxOnoX, Version: " PACKAGE_VERSION);
-  logoImage = new Image("banner.xpm");
-  logoEventBox->fill(logoImage);
+  this->logoEventBox = new EventBox();
+  this->logoBox = new Box('v');
+  this->logoLabel = new Label("OrxOnoX, Version: " PACKAGE_VERSION);
+  this->logoImage = new Image("banner.xpm");
+  this->logoEventBox->fill(this->logoImage);
   
-  logoBox->fill(logoLabel);
-  logoBox->fill(logoEventBox);
+  this->logoBox->fill(this->logoLabel);
+  this->logoBox->fill(this->logoEventBox);
 #ifdef HAVE_GTK2
-  logoEventBox->connectSignal("button_press_event",logoWindow, Window::windowClose);
+  this->logoEventBox->connectSignal("button_press_event", this->logoWindow, Window::windowClose);
 #endif /* HAVE_GTK2 */
 
-  logoWindow->fill (logoBox);
+  this->logoWindow->fill(this->logoBox);
   
-  Window::addWindow (logoWindow);
+  Window::addWindow(this->logoWindow);
 }
 
@@ -65,5 +65,5 @@
    \brief Destructs it.
 */
-OrxonoxGuiBanner::~OrxonoxGuiBanner ()
+OrxonoxGuiBanner::~OrxonoxGuiBanner(void)
 {
 }
@@ -73,7 +73,7 @@
    \return The EventBox, that holds the Banner.
 */
-Widget* OrxonoxGuiBanner::getWidget ()
+Widget* OrxonoxGuiBanner::getWidget(void)
 {
-  return bannerEventBox;
+  return this->bannerEventBox;
 }
 
Index: /orxonox/branches/updater/src/gui/orxonox_gui_banner.h
===================================================================
--- /orxonox/branches/updater/src/gui/orxonox_gui_banner.h	(revision 3314)
+++ /orxonox/branches/updater/src/gui/orxonox_gui_banner.h	(revision 3315)
@@ -29,8 +29,8 @@
 
  public:
-  OrxonoxGuiBanner ();
-  ~OrxonoxGuiBanner ();
+  OrxonoxGuiBanner(void);
+  ~OrxonoxGuiBanner(void);
 
-  Widget* getWidget ();
+  Widget* getWidget(void);
 
 };
Index: /orxonox/branches/updater/src/gui/orxonox_gui_exec.cc
===================================================================
--- /orxonox/branches/updater/src/gui/orxonox_gui_exec.cc	(revision 3314)
+++ /orxonox/branches/updater/src/gui/orxonox_gui_exec.cc	(revision 3315)
@@ -34,38 +34,38 @@
     \param orxonoxGUI ExecFrame needs to know where to get the Options from
 */
-OrxonoxGuiExec::OrxonoxGuiExec (Window* orxonoxGUI)
-{
-  configFile = (char*)malloc (512*sizeof (char));
-
-  execFrame = new Frame ("Execute-Tags:");
-  execBox = new Box ('v');
-  execFrame->setGroupName ("misc");
+OrxonoxGuiExec::OrxonoxGuiExec(void)
+{
+  configFile =(char*)malloc(512*sizeof(char));
+
+  this->execFrame = new Frame("Execute-Tags:");
+  this->execBox = new Box('v');
+  this->execFrame->setGroupName("misc");
   
-  start = new Button ("Start");
+  this->start = new Button("Start");
 #ifdef HAVE_GTK2
-  start->connectSignal ("clicked", this, startOrxonox);
+  this->start->connectSignal("clicked", this, startOrxonox);
 #endif /* HAVE_GTK2 */
-  execBox->fill (start);
-  saveSettings = new CheckButton ("Save Settings");
-  saveSettings->value = 1;
-  saveSettings->saveability();
-  execBox->fill (saveSettings);
-  verboseMode = new Menu ("verbose mode", "no output", "error", "warning", "info", "lastItem");
-  verboseMode->setFlagName ("verbose", "v", 0);
-  verboseMode->saveability();
-  execBox->fill (verboseMode);
-  alwaysShow = new CheckButton ("Always Show this Menu");
-  alwaysShow->setFlagName ("gui", "g", 0);
-  alwaysShow->saveability();
-  execBox->fill (alwaysShow);
-  quit = new Button ("Quit");
+  this->execBox->fill(start);
+  this->saveSettings = new CheckButton("Save Settings");
+  this->saveSettings->value = 1;
+  this->saveSettings->saveability();
+  this->execBox->fill(this->saveSettings);
+  this->verboseMode = new Menu("verbose mode", "no output", "error", "warning", "info", "lastItem");
+  this->verboseMode->setFlagName("verbose", "v", 0);
+  this->verboseMode->saveability();
+  this->execBox->fill(this->verboseMode);
+  this->alwaysShow = new CheckButton("Always Show this Menu");
+  this->alwaysShow->setFlagName("gui", "g", 0);
+  this->alwaysShow->saveability();
+  this->execBox->fill(this->alwaysShow);
+  this->quit = new Button("Quit");
 #ifdef HAVE_GTK2
-  quit->connectSignal ("clicked", this, OrxonoxGuiExec::quitOrxonox);
-  orxonoxGUI->connectSignal ("destroy", this, OrxonoxGuiExec::quitOrxonox);
-  //! orxonoxGUI->connectSignal ("delete_event", this, OrxonoxGuiExec::quitOrxonox); \todo fix this to work.
+  this->quit->connectSignal("clicked", this, OrxonoxGuiExec::quitOrxonox);
+  Window::mainWindow->connectSignal("destroy", this, OrxonoxGuiExec::quitOrxonox);
+  //! orxonoxGUI->connectSignal("delete_event", this, OrxonoxGuiExec::quitOrxonox); \todo fix this to work.
 #endif /* HAVE_GTK2 */
-  execBox->fill (quit);
-
-  execFrame->fill (execBox);
+  this->execBox->fill(this->quit);
+
+  this->execFrame->fill(this->execBox);
 }
 
@@ -74,5 +74,5 @@
    \return Returns the Exec-frame
 */
-Widget* OrxonoxGuiExec::getWidget ()
+Widget* OrxonoxGuiExec::getWidget(void)
 {
   return execFrame;
@@ -85,21 +85,23 @@
    \param filename the location of the configFile
 
+   \todo: memory allocation could be better.
+
    The name will be parsed from ~/ to /home/[username] on unix and c:/Documents and Settings/username/Settings/ on Windows
 */
-void OrxonoxGuiExec::setFilename (char* filename)
-{
-  char* buffer = (char*) malloc (512*sizeof(buffer));
-  sprintf (buffer, "%s", filename);
-  if (!strncmp (buffer, "~/", 2))
+void OrxonoxGuiExec::setFilename(char* filename)
+{
+  char* buffer = (char*)malloc(2048*sizeof(char));
+  sprintf(buffer, "%s", filename);
+  if(!strncmp(buffer, "~/", 2))
   {
 #ifdef __WIN32__
-    sprintf (configFile, "%s/%s", getenv ("USERPROFILE"), buffer+2);
+    sprintf(configFile, "%s/%s", getenv("USERPROFILE"), buffer+2);
 #else
-    sprintf (configFile, "%s/%s", getenv ("HOME"), buffer+2);
+    sprintf(configFile, "%s/%s", getenv("HOME"), buffer+2);
 #endif
   }
-  else if (buffer)
-    sprintf(configFile, "%s", buffer);
-  delete buffer;
+  else if(buffer)
+    strcpy(this->configFile, buffer);
+  free (buffer);
 }
 
@@ -109,5 +111,5 @@
 char* OrxonoxGuiExec::getConfigFile(void)
 {
-  return configFile;
+  return this->configFile;
 }
 
@@ -116,7 +118,7 @@
    \return 1 if it should 0 if not/
 */
-int OrxonoxGuiExec::shouldsave ()
-{
-  return (static_cast<Option*>(saveSettings)->value);
+int OrxonoxGuiExec::shouldsave()
+{
+  return(static_cast<Option*>(this->saveSettings)->value);
 }
 
@@ -125,12 +127,12 @@
     \param widget from which Widget on should be saved.
 
-    this Function only opens and closes the file, in between OrxonoxGuiExec::writeFileText (Widget* widget) will execute the real writing process.
-*/
-void OrxonoxGuiExec::writeToFile (Widget* widget)
-{
-  CONFIG_FILE = fopen (configFile, "w");
-  if (CONFIG_FILE)
-    writeFileText (widget, 0);
-  fclose (CONFIG_FILE);
+    this Function only opens and closes the file, in between OrxonoxGuiExec::writeFileText(Widget* widget) will execute the real writing process.
+*/
+void OrxonoxGuiExec::writeToFile(Widget* widget)
+{
+  this->CONFIG_FILE = fopen(configFile, "w");
+  if(this->CONFIG_FILE)
+    this->writeFileText(widget, 0);
+  fclose(this->CONFIG_FILE);
 }
 
@@ -140,52 +142,52 @@
    \param depth initially "0", and grows higher, while new Groups are bundeled.
 */
-void OrxonoxGuiExec::writeFileText (Widget* widget, int depth)
+void OrxonoxGuiExec::writeFileText(Widget* widget, int depth)
 {
   int counter = 0;
-  while (counter < depth && ((widget->isOption>0
-			      && (static_cast<Option*>(widget)->isSaveable()) )
-			     || (widget->isOption<0
+  while(counter < depth &&((widget->isOption>0
+			      &&(static_cast<Option*>(widget)->isSaveable()) )
+			     ||(widget->isOption<0
 				 && static_cast<Packer*>(widget)->getGroupName())))
     {
-      fprintf (CONFIG_FILE, "  ", depth);
+      fprintf(this->CONFIG_FILE, "  ", depth);
       counter++;
     }
   
   // check if it is a Packer, and if it is, check if it has a name and if there is something in it.
-  if (widget->isOption <0)
-    {
-      if (static_cast<Packer*>(widget)->getGroupName())
-	{
-	  fprintf (CONFIG_FILE, "[%s]\n", static_cast<Packer*>(widget)->getGroupName());
-	  writeFileText (static_cast<Packer*>(widget)->down, depth+1);
+  if(widget->isOption <0)
+    {
+      if(static_cast<Packer*>(widget)->getGroupName())
+	{
+	  fprintf(CONFIG_FILE, "[%s]\n", static_cast<Packer*>(widget)->getGroupName());
+	  this->writeFileText(static_cast<Packer*>(widget)->down, depth+1);
 	  fprintf(CONFIG_FILE, "\n");
 	}
       else
 	{
-	  writeFileText (static_cast<Packer*>(widget)->down, depth);
+	  this->writeFileText(static_cast<Packer*>(widget)->down, depth);
 	}
     } 
-  //  if (widget->isOption == 0)
-  //    printf ("%s\n",widget->title);
-  if (widget->isOption >= 1)
-    if  (static_cast<Option*>(widget)->isSaveable())
+  //  if(widget->isOption == 0)
+  //    printf("%s\n",widget->title);
+  if(widget->isOption >= 1)
+    if (static_cast<Option*>(widget)->isSaveable())
       {
 	char Buffer[256];
 	char* space2under;
-	strcpy (Buffer, static_cast<Option*>(widget)->title);
-	if (strchr (Buffer, '_'))
+	strcpy(Buffer, static_cast<Option*>(widget)->title);
+	if(strchr(Buffer, '_'))
 	  cout << "Warning Optionname" << Buffer << " is not Valid for Saving, because it includes an underscore" << endl;
-	while (space2under = strchr(Buffer, ' '))
+	while(space2under = strchr(Buffer, ' '))
 	  {
 	    space2under[0] = '_';
 	  }
-	if (widget->isOption <=3)
-	  fprintf (CONFIG_FILE, "%s = %d\n", Buffer, static_cast<Option*>(widget)->value);
-	else if (widget->isOption == 5)
-	  fprintf (CONFIG_FILE, "%s = %s\n", Buffer, static_cast<OptionLabel*>(widget)->cValue);
+	if(widget->isOption <=3)
+	  fprintf(CONFIG_FILE, "%s = %d\n", Buffer, static_cast<Option*>(widget)->value);
+	else if(widget->isOption == 5)
+	  fprintf(CONFIG_FILE, "%s = %s\n", Buffer, static_cast<OptionLabel*>(widget)->cValue);
       }
 
-  if (widget->next != NULL)
-    writeFileText (widget->next, depth);
+  if(widget->next != NULL)
+    this->writeFileText(widget->next, depth);
 }
 
@@ -194,9 +196,9 @@
    \param widget from which Widget on should be saved.
 */
-void OrxonoxGuiExec::readFromFile (Widget* widget)
-{
-  CONFIG_FILE = fopen (configFile, "r");
+void OrxonoxGuiExec::readFromFile(Widget* widget)
+{
+  this->CONFIG_FILE = fopen(configFile, "r");
   VarInfo varInfo;
-  if (CONFIG_FILE)
+  if(this->CONFIG_FILE)
     {
       Widget* groupWidget = widget;
@@ -204,10 +206,10 @@
       char Variable[256]= "";
       char* Value;
-      while (fscanf (CONFIG_FILE, "%s", Buffer) != EOF)
+      while(fscanf(this->CONFIG_FILE, "%s", Buffer) != EOF)
 	{
 	  // group-search //
-	  if (!strncmp (Buffer, "[", 1))
+	  if(!strncmp(Buffer, "[", 1))
 	    {
-	      if ((groupWidget = locateGroup (widget, Buffer, 1))==NULL)
+	      if((groupWidget = locateGroup(widget, Buffer, 1))==NULL)
 		{
 		  cout << "!!There is no group called " << Buffer << " in this GUI.\n First best Widget will get the Infos assigned.\n Config-File will be updated in next Save\n";
@@ -216,19 +218,19 @@
 	    }
 	  // option-setting //
-	  if (!strcmp (Buffer, "="))
+	  if(!strcmp(Buffer, "="))
 	    {
 	      char* under2space;
-	      while (under2space = strchr(Variable, '_'))
+	      while(under2space = strchr(Variable, '_'))
 		{
-		  sprintf (under2space, " %s", under2space+1);
+		  sprintf(under2space, " %s", under2space+1);
 		}
 	      
-	      fscanf (CONFIG_FILE, "%s", Buffer);
+	      fscanf(this->CONFIG_FILE, "%s", Buffer);
 	      varInfo.variableName = Variable;
 	      varInfo.variableValue = Buffer;
-	      groupWidget->walkThrough(readFileText, &varInfo, 0);
-	      sprintf (Variable, "");
+	      groupWidget->walkThrough(this->readFileText, &varInfo, 0);
+	      sprintf(Variable, "");
 	    }
-	  sprintf (Variable, "%s", Buffer);
+	  sprintf(Variable, "%s", Buffer);
 	}
       widget->walkThrough(widget->setOptions, 0);
@@ -240,16 +242,16 @@
    \param varInfo Information about the Variable to read
 */
-void OrxonoxGuiExec::readFileText (Widget* widget, void* varInfo)
-{
-  VarInfo* info = (VarInfo*)varInfo;
-
-  if (widget->isOption >= 1 && widget->isOption <= 3)
-    {
-      if (!strcmp (static_cast<Option*>(widget)->title, info->variableName))
+void OrxonoxGuiExec::readFileText(Widget* widget, void* varInfo)
+{
+  VarInfo* info =(VarInfo*)varInfo;
+
+  if(widget->isOption >= 1 && widget->isOption <= 3)
+    {
+      if(!strcmp(static_cast<Option*>(widget)->title, info->variableName))
 	static_cast<Option*>(widget)->value = atoi(info->variableValue);
     }
-  else if (widget->isOption == 5)
-    {
-       if (!strcmp (static_cast<Option*>(widget)->title, info->variableName))
+  else if(widget->isOption == 5)
+    {
+       if(!strcmp(static_cast<Option*>(widget)->title, info->variableName))
 	static_cast<OptionLabel*>(widget)->setValue(info->variableValue);
     }
@@ -262,4 +264,6 @@
    \param depth The Depth of the search seen from the first widget we searched from.
    \returns The Widget that holds the Group, or the NULL if the Group wasn't found.
+
+   \todo do this in gui-gtk.
 */
 Widget* OrxonoxGuiExec::locateGroup(Widget* widget, char* groupName, int depth)
@@ -268,5 +272,5 @@
 
   // removes the trailing and ending [ ].
-  if (!strncmp (groupName, "[", 1))
+  if(!strncmp(groupName, "[", 1))
     {
       groupName = groupName+1;
@@ -274,7 +278,7 @@
     }
 
-  if (widget->isOption < 0)
-    {
-      if (static_cast<Packer*>(widget)->getGroupName() && !strcmp(groupName, static_cast<Packer*>(widget)->getGroupName()))
+  if(widget->isOption < 0)
+    {
+      if(static_cast<Packer*>(widget)->getGroupName() && !strcmp(groupName, static_cast<Packer*>(widget)->getGroupName()))
 	{
 	  return widget;
@@ -282,12 +286,12 @@
       else
 	{
-	  if ((tmp = locateGroup (static_cast<Packer*>(widget)->down, groupName, depth+1)) != NULL)
+	  if((tmp = locateGroup(static_cast<Packer*>(widget)->down, groupName, depth+1)) != NULL)
 	    return tmp;
 	}
     } 
   
-  if (widget->next != NULL && depth != 0)
-    {
-      if ((tmp = locateGroup (widget->next, groupName, depth)) != NULL)
+  if(widget->next != NULL && depth != 0)
+    {
+      if((tmp = locateGroup(widget->next, groupName, depth)) != NULL)
 	return tmp;
     }
@@ -297,5 +301,5 @@
 #ifdef HAVE_GTK2
 /**
-   \brief Starts ORXONOX. (not really implemented yet, but the function is there.\n
+   \brief Starts ORXONOX.(not really implemented yet, but the function is there.\n
    \param widget the widget that executed the start command
    \param data additional data
@@ -303,16 +307,16 @@
    This is a Signal and can be executed through Widget::signal_connect
 */
-int OrxonoxGuiExec::startOrxonox (GtkWidget* widget, void* data)
-{
-  OrxonoxGuiExec* exec = (OrxonoxGuiExec*)data;
-  if (exec->shouldsave())
-    exec->writeToFile (Window::mainWindow);
+int OrxonoxGuiExec::startOrxonox(GtkWidget* widget, void* data)
+{
+  OrxonoxGuiExec* exec =(OrxonoxGuiExec*)data;
+  if(exec->shouldsave())
+    exec->writeToFile(Window::mainWindow);
   cout << "Starting Orxonox" <<endl;
   gtk_main_quit();
-  system("cd ..;./orxonox"); //!< \todo fix this. should execute orxonox for real (coded not over the shell)
-}
-
-/**
-   \brief Starts ORXONOX. (not really implemented yet, but the function is there.\n
+  system("cd ..;./orxonox"); //!< \todo fix this. should execute orxonox for real(coded not over the shell)
+}
+
+/**
+   \brief Starts ORXONOX.(not really implemented yet, but the function is there.\n
    \param widget the widget that executed the start command
    \param data additional data
@@ -320,25 +324,25 @@
    This is a Signal and can be executed through Widget::signal_connect
 */
-int OrxonoxGuiExec::quitOrxonox (GtkWidget* widget, void* data)
-{
-  OrxonoxGuiExec* exec = (OrxonoxGuiExec*)data;
+int OrxonoxGuiExec::quitOrxonox(GtkWidget* widget, void* data)
+{
+  OrxonoxGuiExec* exec =(OrxonoxGuiExec*)data;
   PRINT(3)( "Quitting Orxonox %p\n", exec);
-  if (exec->shouldsave())
-    exec->writeToFile (Window::mainWindow);
+  if(exec->shouldsave())
+    exec->writeToFile(Window::mainWindow);
   gtk_main_quit();
 }
 #else /* HAVE_GTK2 */
 /**
-   \brief Starts ORXONOX. (not really implemented yet, but the function is there.\n
+   \brief Starts ORXONOX.(not really implemented yet, but the function is there.\n
    \param widget the widget that executed the start command
    \param data additional data
 */
-int OrxonoxGuiExec::startOrxonox (void* widget, void* data)
-{
-  OrxonoxGuiExec* exec = (OrxonoxGuiExec*)data;
+int OrxonoxGuiExec::startOrxonox(void* widget, void* data)
+{
+  OrxonoxGuiExec* exec =(OrxonoxGuiExec*)data;
   PRINT(3)("Starting Orxonox\n");
-  if (exec->shouldsave())
-    exec->writeToFile (Window::mainWindow);
-  system("cd ..;./orxonox"); //!< \todo fix this. should execute orxonox for real (coded not over the shell)
+  if(exec->shouldsave())
+    exec->writeToFile(Window::mainWindow);
+  system("cd ..;./orxonox"); //!< \todo fix this. should execute orxonox for real(coded not over the shell)
 }
 /**
@@ -349,10 +353,10 @@
    This is a Signal and can be executed through Widget::signal_connect
 */
-int OrxonoxGuiExec::quitOrxonox (void* widget, void* data)
-{
-  OrxonoxGuiExec* exec = (OrxonoxGuiExec*)data;
+int OrxonoxGuiExec::quitOrxonox(void* widget, void* data)
+{
+  OrxonoxGuiExec* exec =(OrxonoxGuiExec*)data;
   PRINT(3)("Quiting Orxonox");
-  if (exec->shouldsave())
-    exec->writeToFile (Window::mainWindow);
+  if(exec->shouldsave())
+    exec->writeToFile(Window::mainWindow);
 }
 
Index: /orxonox/branches/updater/src/gui/orxonox_gui_exec.h
===================================================================
--- /orxonox/branches/updater/src/gui/orxonox_gui_exec.h	(revision 3314)
+++ /orxonox/branches/updater/src/gui/orxonox_gui_exec.h	(revision 3315)
@@ -33,24 +33,24 @@
 
  public:
-  OrxonoxGuiExec (Window* orxonoxGUI);
-  ~OrxonoxGuiExec ();
+  OrxonoxGuiExec(void);
+  ~OrxonoxGuiExec(void);
   
-  Widget* getWidget ();
+  Widget* getWidget(void);
   
-  void setFilename (char* filename);
+  void setFilename(char* filename);
   char* getConfigFile(void);
-  int shouldsave();
-  void writeToFile (Widget* widget);
-  void writeFileText (Widget* widget, int depth);
-  void readFromFile (Widget* widget);
-  static void readFileText (Widget* widget, void* varInfo);
+  int shouldsave(void);
+  void writeToFile(Widget* widget);
+  void writeFileText(Widget* widget, int depth);
+  void readFromFile(Widget* widget);
+  static void readFileText(Widget* widget, void* varInfo);
   Widget* locateGroup(Widget* widget, char* groupName, int depth);
 
 #ifdef HAVE_GTK2
-  static int startOrxonox (GtkWidget *widget, void* data);
-  static int quitOrxonox (GtkWidget *widget, void* data);
+  static int startOrxonox(GtkWidget *widget, void* data);
+  static int quitOrxonox(GtkWidget *widget, void* data);
 #else /* HAVE_GTK2 */
-  static int startOrxonox (void* widget, void* data);
-  static int quitOrxonox (void* widget, void* data);
+  static int startOrxonox(void* widget, void* data);
+  static int quitOrxonox(void* widget, void* data);
 #endif /* HAVE_GTK2 */
 };
Index: /orxonox/branches/updater/src/gui/orxonox_gui_flags.cc
===================================================================
--- /orxonox/branches/updater/src/gui/orxonox_gui_flags.cc	(revision 3314)
+++ /orxonox/branches/updater/src/gui/orxonox_gui_flags.cc	(revision 3315)
@@ -30,16 +30,16 @@
    \param widget The Widget from which the data will be parsed
 */
-OrxonoxGuiFlags::OrxonoxGuiFlags (Widget* widget)
+OrxonoxGuiFlags::OrxonoxGuiFlags(void)
 {
-  this->flagsFrame = new Frame ("Orxonox-Startup-Flags:");
-  this->flagsBox = new Box ('v');
+  this->flagsFrame = new Frame("Orxonox-Startup-Flags:");
+  this->flagsBox = new Box('v');
 
-  this->flagsLabel = new Label ();
-  this->flagsLabel->setSize (260,60);
-  this->flagsBox->fill (flagsLabel);
-  this->shortFlags = new CheckButton ("shortFlags");
-  this->flagsBox->fill (shortFlags);
+  this->flagsLabel = new Label();
+  this->flagsLabel->setSize(260,60);
+  this->flagsBox->fill(flagsLabel);
+  this->shortFlags = new CheckButton("shortFlags");
+  this->flagsBox->fill(shortFlags);
 
-  this->flagsFrame->fill (flagsBox);
+  this->flagsFrame->fill(flagsBox);
 }
 
@@ -48,5 +48,5 @@
    \returns Frame that holds the Flagtext.
 */
-Widget* OrxonoxGuiFlags::getWidget ()
+Widget* OrxonoxGuiFlags::getWidget(void)
 {
   return this->flagsFrame;
@@ -57,5 +57,5 @@
    \param widget the Widget from which on to scan for deeper Options and their settings.
 */
-void OrxonoxGuiFlags::setTextFromFlags (Widget* widget)
+void OrxonoxGuiFlags::setTextFromFlags(Widget* widget)
 {
   FlagInfo flagInfo;
@@ -76,14 +76,14 @@
 void OrxonoxGuiFlags::flagsText(Widget* widget, void* flagInfo)
 {
-  FlagInfo* info = (FlagInfo*)flagInfo;
-  if (widget->isOption >= 1)
-    if  (static_cast<Option*>(widget)->value != static_cast<Option*>(widget)->defaultValue )
+  FlagInfo* info =(FlagInfo*)flagInfo;
+  if(widget->isOption >= 1)
+    if (static_cast<Option*>(widget)->value != static_cast<Option*>(widget)->defaultValue )
       {
-	if (info->shortFlags->isActive() && static_cast<Option*>(widget)->flagNameShort)
+	if(info->shortFlags->isActive() && static_cast<Option*>(widget)->flagNameShort)
 	  {
 	    info->flagsLabel->appendText(" -");
 	    info->flagsLabel->appendText(static_cast<Option*>(widget)->flagNameShort);
 	  }
-	else if (!info->shortFlags->isActive() && static_cast<Option*>(widget)->flagName)
+	else if(!info->shortFlags->isActive() && static_cast<Option*>(widget)->flagName)
 	  {
 	    info->flagsLabel->appendText(" --");
@@ -91,5 +91,5 @@
 	  }
 
-	if (static_cast<Option*>(widget)->isOption == 2)
+	if(static_cast<Option*>(widget)->isOption == 2)
 	  {
 	    info->flagsLabel->appendText("=");
Index: /orxonox/branches/updater/src/gui/orxonox_gui_flags.h
===================================================================
--- /orxonox/branches/updater/src/gui/orxonox_gui_flags.h	(revision 3314)
+++ /orxonox/branches/updater/src/gui/orxonox_gui_flags.h	(revision 3315)
@@ -19,8 +19,8 @@
 
  public:
-  OrxonoxGuiFlags (Widget* widget);
-  ~OrxonoxGuiFlags ();
+  OrxonoxGuiFlags(void);
+  ~OrxonoxGuiFlags(void);
 
-  void setTextFromFlags (Widget* widget);
+  void setTextFromFlags(Widget* widget);
   static void flagsText(Widget* widget, void* flagInfo);
   
@@ -30,5 +30,5 @@
     Label* flagsLabel;
   };
-  Widget* getWidget ();
+  Widget* getWidget(void);
 };
 #endif /* _ORXONOX_GUI_FLAGS_H */
Index: /orxonox/branches/updater/src/gui/orxonox_gui_gtk.cc
===================================================================
--- /orxonox/branches/updater/src/gui/orxonox_gui_gtk.cc	(revision 3314)
+++ /orxonox/branches/updater/src/gui/orxonox_gui_gtk.cc	(revision 3315)
@@ -50,5 +50,5 @@
   gdk_threads_init();
 #endif /* HAVE_GTHREAD */
-  gtk_init (&argc, &argv);
+  gtk_init(&argc, &argv);
   gtk_rc_parse( "rc" );
 #endif /* HAVE_GTK2 */
@@ -138,5 +138,5 @@
    This is still pretty crappy.
 */
-Widget::~Widget()
+Widget::~Widget(void)
 {
   this->destroy();
@@ -147,5 +147,5 @@
    Initializes the next Pointer and the other Widget-specific Defaults.
 */
-void Widget::init()
+void Widget::init(void)
 {
   next = NULL;
@@ -181,8 +181,8 @@
    \brief makes the widget visible.
 */
-void Widget::show()
-{
-#ifdef HAVE_GTK2
-  gtk_widget_show (this->widget);
+void Widget::show(void)
+{
+#ifdef HAVE_GTK2
+  gtk_widget_show(this->widget);
 #endif /* HAVE_GTK2 */
 }
@@ -191,8 +191,8 @@
    \brief hides the widget.
 */
-void Widget::hide()
-{
-#ifdef HAVE_GTK2
-  gtk_widget_hide (this->widget);
+void Widget::hide(void)
+{
+#ifdef HAVE_GTK2
+  gtk_widget_hide(this->widget);
 #endif /* HAVE_GTK2 */
 }
@@ -206,5 +206,5 @@
 {
 #ifdef HAVE_GTK2
-  gtk_widget_set_usize (this->widget, width, height);
+  gtk_widget_set_usize(this->widget, width, height);
 #endif /* HAVE_GTK2 */
 }
@@ -237,10 +237,10 @@
    \param depth the current depth. if > 0 then the next Widget will also be walked through.
 */
-void Widget::walkThrough (void (*function)(Widget*), unsigned int depth)
+void Widget::walkThrough(void(*function)(Widget*), unsigned int depth)
 {
   function(this);
   if (this->isOption < 0)
     {
-      static_cast<Packer*>(this)->down->walkThrough (function, depth+1);
+      static_cast<Packer*>(this)->down->walkThrough(function, depth+1);
     } 
 
@@ -255,5 +255,5 @@
    \param depth the current depth. if > 0 then the next Widget will also be walked through.
 */
-void Widget::walkThrough (void (*function)(Widget*, void*), void* data, unsigned int depth)
+void Widget::walkThrough(void(*function)(Widget*, void*), void* data, unsigned int depth)
 {
   function(this, data);
@@ -270,5 +270,5 @@
     \param widget specifies the widget that should be listed
 */
-void Widget::listOptionsAndGroups (Widget* widget)
+void Widget::listOptionsAndGroups(Widget* widget)
 {
   if (widget->isOption < 0 && static_cast<Packer*>(widget)->groupName)
@@ -284,5 +284,5 @@
     \param widget specifies the widget that should be listed
 */
-void Widget::listOptions (Widget* widget)
+void Widget::listOptions(Widget* widget)
 {
   if (widget->isOption >= 1 && widget->isOption <= 3)
@@ -297,10 +297,10 @@
     \param data A Counter, that always knows how many Options have been found yet.
 */
-void Widget::listOptions (Widget* widget, void* data)
+void Widget::listOptions(Widget* widget, void* data)
 {
   
   if (widget->isOption >= 1 && widget->isOption <= 3)
     {
-      int* count = (int*)data;
+      int* count =(int*)data;
       *count = *count +1;
       cout << *count << ": " << static_cast<Option*>(widget)->title <<" is : " << static_cast<Option*>(widget)->value <<endl;
@@ -308,5 +308,5 @@
   else if (widget->isOption == 5)
     {
-      int* count = (int*)data;
+      int* count =(int*)data;
       *count = *count +1;
       cout << *count << ": " << static_cast<Option*>(widget)->title <<" is : " << static_cast<OptionLabel*>(widget)->cValue <<endl;
@@ -315,6 +315,6 @@
 
 /** 
-    \brief Finds an Option by a given number (the n'th option found away from this Widget)
-    \param number The Count of options to wait (by reference)
+    \brief Finds an Option by a given number(the n'th option found away from this Widget)
+    \param number The Count of options to wait(by reference)
     \param depth The depth of the sarch. if 0 it will not search next pointer
     
@@ -349,5 +349,5 @@
 void Widget::listGroups(Widget* widget)
 {
-  if(widget->isOption < 0 && static_cast<Packer*>(widget)->groupName)
+  if (widget->isOption < 0 && static_cast<Packer*>(widget)->groupName)
     cout << "[" << static_cast<Packer*>(widget)->groupName << "]\n";
 }
@@ -356,11 +356,11 @@
     \brief This is for listing the Groups of "widget". It also displays the n'th number found.
     \param widget specifies the widget that should be listed
-    \param data the Counter, that will show the number (this function will raise it by one if a Group is fount.
+    \param data the Counter, that will show the number(this function will raise it by one if a Group is fount.
 */
 void Widget::listGroups(Widget* widget, void* data)
 {
-  if(widget->isOption < 0 && static_cast<Packer*>(widget)->groupName)
-    {
-      int* count = (int*)data;
+  if (widget->isOption < 0 && static_cast<Packer*>(widget)->groupName)
+    {
+      int* count =(int*)data;
       *count = *count +1;
       cout << *count <<": [" << static_cast<Packer*>(widget)->groupName << "]\n";
@@ -369,6 +369,6 @@
 
 /** 
-    \brief Finds a Group by a given number (the n'th Group found away from this Widget)
-    \param number The Count of options to wait (by reference)
+    \brief Finds a Group by a given number(the n'th Group found away from this Widget)
+    \param number The Count of options to wait(by reference)
     \param depth The depth of the sarch. if 0 it will not search next pointer
 */
@@ -399,5 +399,5 @@
     \param widget specifies the widget that should be set.
 */
-void Widget::setOptions (Widget* widget)
+void Widget::setOptions(Widget* widget)
 {
   if (widget->isOption >= 1)
@@ -412,10 +412,10 @@
   if (widget->isOption>=1)
     {      
-      Option* option = (Option*)widget;
-      char* name = (char*)flagName;
+      Option* option =(Option*)widget;
+      char* name =(char*)flagName;
       char* value = NULL;
       bool found = false;
       // check if long flag matches
-      if ((option->flagName && strlen(name)>2 && !strncmp(name+2, option->flagName, strlen(option->flagName)) && (name[strlen(option->flagName)+2] == '\0' || name[strlen(option->flagName)+2] == '=') ))
+      if ((option->flagName && strlen(name)>2 && !strncmp(name+2, option->flagName, strlen(option->flagName)) &&(name[strlen(option->flagName)+2] == '\0' || name[strlen(option->flagName)+2] == '=') ))
 	{
 	  found = true;
@@ -425,5 +425,5 @@
 	    }
 	}
-      else if (option->flagNameShort && strlen(name)>1 && !strncmp(name+1, option->flagNameShort, strlen(option->flagNameShort))&& (name[strlen(option->flagNameShort)+1] == '\0' || name[strlen(option->flagNameShort)+1] == '=')) // check if short flag matches
+      else if (option->flagNameShort && strlen(name)>1 && !strncmp(name+1, option->flagNameShort, strlen(option->flagNameShort))&&(name[strlen(option->flagNameShort)+1] == '\0' || name[strlen(option->flagNameShort)+1] == '=')) // check if short flag matches
 	{
 	  found = true;
@@ -456,7 +456,7 @@
     \brief Connect any signal to any given Sub-widget
 */
-gulong Widget::connectSignal (char* event, gint (*signal)(GtkWidget*, GdkEvent*, void *))
-{
-  return g_signal_connect (G_OBJECT (this->widget), event, G_CALLBACK (signal), NULL);
+gulong Widget::connectSignal(char* event, gint(*signal)(GtkWidget*, GdkEvent*, void *))
+{
+  return g_signal_connect(G_OBJECT(this->widget), event, G_CALLBACK(signal), NULL);
 }
 
@@ -464,7 +464,7 @@
    \brief Connect a signal with additionally passing the whole Object
 */
-gulong Widget::connectSignal (char* event, gint (*signal)( GtkWidget*, Widget *))
-{
-  return g_signal_connect (G_OBJECT (this->widget), event, G_CALLBACK (signal), this);
+gulong Widget::connectSignal(char* event, gint(*signal)( GtkWidget*, Widget *))
+{
+  return g_signal_connect(G_OBJECT(this->widget), event, G_CALLBACK(signal), this);
 }
 
@@ -472,7 +472,7 @@
    \brief Connect a signal with additionally passing a whole external Object
 */
-gulong Widget::connectSignal (char* event, void* extObj, gint (*signal)(GtkWidget*, GdkEvent*, void *))
-{
-  return g_signal_connect (G_OBJECT (this->widget), event, G_CALLBACK (signal), extObj);
+gulong Widget::connectSignal(char* event, void* extObj, gint(*signal)(GtkWidget*, GdkEvent*, void *))
+{
+  return g_signal_connect(G_OBJECT(this->widget), event, G_CALLBACK(signal), extObj);
 }
 
@@ -480,7 +480,7 @@
    \brief Connect a signal with additionally passing a whole external Object
 */
-gulong Widget::connectSignal (char* event, void* extObj, gint (*signal)(GtkWidget*, void *))
-{
-  return g_signal_connect (G_OBJECT (this->widget), event, G_CALLBACK (signal), extObj);
+gulong Widget::connectSignal(char* event, void* extObj, gint(*signal)(GtkWidget*, void *))
+{
+  return g_signal_connect(G_OBJECT(this->widget), event, G_CALLBACK(signal), extObj);
 }
 
@@ -488,12 +488,12 @@
    \brief Connect a signal with additionally passing a whole external Object
 */
-gulong Widget::connectSignal (char* event, void* extObj, gint (*signal)(GtkWidget*, GdkEventKey*, void *))
-{
-  return g_signal_connect (G_OBJECT (this->widget), event, G_CALLBACK (signal), extObj);
-}
-
-void Widget::disconnectSignal (gulong signalID)
-{
-  g_signal_handler_disconnect (G_OBJECT (this->widget), signalID);
+gulong Widget::connectSignal(char* event, void* extObj, gint(*signal)(GtkWidget*, GdkEventKey*, void *))
+{
+  return g_signal_connect(G_OBJECT(this->widget), event, G_CALLBACK(signal), extObj);
+}
+
+void Widget::disconnectSignal(gulong signalID)
+{
+  g_signal_handler_disconnect(G_OBJECT(this->widget), signalID);
 }
 
@@ -504,5 +504,5 @@
    \param nothing nothin.
 */
-gint Widget::doNothingSignal (GtkWidget *widget, GdkEvent* event, void* nothing)
+gint Widget::doNothingSignal(GtkWidget *widget, GdkEvent* event, void* nothing)
 {
 }
@@ -519,8 +519,8 @@
    Sets the down-pinter to NULL and other PackerSpecific-values to their defaults.
 */
-void Packer::init (void)
-{
-  down = NULL;
-  groupName = NULL;
+void Packer::init(void)
+{
+  this->down = NULL;
+  this->groupName = NULL;
 
 
@@ -536,6 +536,6 @@
   PRINTF(4)("deleting the Packer part.\n");
   
-  if (groupName)
-    delete []groupName;
+  if (this->groupName)
+    delete []this->groupName;
 
   //deleting recursively.
@@ -551,10 +551,10 @@
    \param name The name of the group.
 */
-void Packer::setGroupName (char* name)
-{
-  if (groupName)
-    delete groupName;
-  groupName = new char [strlen(name)+1];
-  strcpy(groupName, name);
+void Packer::setGroupName(char* name)
+{
+  if (this->groupName)
+    delete []this->groupName;
+  this->groupName = new char[strlen(name)+1];
+  strcpy(this->groupName, name);
 }
 
@@ -563,7 +563,7 @@
    \returns name The name of the group.
 */
-char* Packer::getGroupName (void)
-{
-  return groupName;
+char* Packer::getGroupName(void)
+{
+  return this->groupName;
 }
 
@@ -575,7 +575,7 @@
    sets the Container-Specific defaults.
 */
-void Container::init (void)
-{
-  isOption = -1;
+void Container::init(void)
+{
+  this->isOption = -1;
 
   static_cast<Packer*>(this)->init();
@@ -600,10 +600,10 @@
    It does this by filling up the down pointer only if down points to NULL.
 */
-void Container::fill (Widget *lowerWidget)
+void Container::fill(Widget *lowerWidget)
 {
   if (this->down == NULL)
     {
 #ifdef HAVE_GTK2
-      gtk_container_add (GTK_CONTAINER (this->widget), lowerWidget->widget);
+      gtk_container_add(GTK_CONTAINER(this->widget), lowerWidget->widget);
 #endif /* HAVE_GTK2 */
       this->down = lowerWidget;
@@ -613,5 +613,5 @@
 }
 
-// gtk_container_set_border_width (GTK_CONTAINER (widget), 5);
+// gtk_container_set_border_width(GTK_CONTAINER(widget), 5);
 
 /* WINDOW */
@@ -622,5 +622,5 @@
    \brief Adds a new Window Windows to the List of Windows.
    \param windowToAdd The Windows that should be added to the List
-   \todo this instead of windowToAdd (possibly)
+   \todo this instead of windowToAdd(possibly)
 */
 void Window::addWindow(Window* windowToAdd)
@@ -633,5 +633,5 @@
 
   Widget* tmpWindow = mainWindow;
-  while (tmpWindow->next)
+  while(tmpWindow->next)
     tmpWindow = tmpWindow->next;
   tmpWindow->next = windowToAdd;
@@ -644,5 +644,5 @@
    \brief Creating a new Window without a Name
 */
-Window::Window (void)
+Window::Window(void)
 {
   this->init();
@@ -654,8 +654,8 @@
 */
 
-Window::Window (char* windowName)
+Window::Window(char* windowName)
 {
   this->init();
-  this->setTitle (windowName);
+  this->setTitle(windowName);
 }
 
@@ -671,5 +671,5 @@
    \brief initializes a new Window
 */
-void Window::init()
+void Window::init(void)
 {
   if (!mainWindow)
@@ -681,10 +681,10 @@
 
 #ifdef HAVE_GTK2
-  widget = gtk_window_new (GTK_WINDOW_TOPLEVEL);
-  gtk_window_set_policy (GTK_WINDOW(widget), TRUE, TRUE, TRUE);
+  widget = gtk_window_new(GTK_WINDOW_TOPLEVEL);
+  gtk_window_set_policy(GTK_WINDOW(widget), TRUE, TRUE, TRUE);
 #if !defined(__WIN32__)
-  //  gtk_window_set_decorated (GTK_WINDOW (widget), FALSE);
+  //  gtk_window_set_decorated(GTK_WINDOW(widget), FALSE);
 #endif 
-  gtk_container_set_border_width (GTK_CONTAINER (widget), 3);
+  gtk_container_set_border_width(GTK_CONTAINER(widget), 3);
 #endif /* HAVE_GTK2 */
 }
@@ -708,19 +708,19 @@
    \brief Shows all Widgets that are included within this->widget.
 */
-void Window::showall ()
-{
-  if (!isOpen)
-    {
-      //      printf ("showall\n");
-#ifdef HAVE_GTK2
-      gtk_widget_show_all  (widget);
+void Window::showall(void)
+{
+  if (!this->isOpen)
+    {
+      //      printf("showall\n");
+#ifdef HAVE_GTK2
+      gtk_widget_show_all(this->widget);
 #endif /* HAVE_GTK2 */ 
-     isOpen = true;
+     this->isOpen = true;
     }
   else
     {
-      //      printf ("showone\n");
-#ifdef HAVE_GTK2
-      gtk_widget_show (widget);
+      //      printf("showone\n");
+#ifdef HAVE_GTK2
+      gtk_widget_show(this->widget);
 #endif /* HAVE_GTK2 */
     }
@@ -731,5 +731,5 @@
    \param title title the Window should get.
 */
-void Window::setTitle (char* title)
+void Window::setTitle(char* title)
 {
   if (this->title)
@@ -738,5 +738,5 @@
   strcpy(this->title, title);
 #ifdef HAVE_GTK2
-  gtk_window_set_title (GTK_WINDOW (widget), title);
+  gtk_window_set_title(GTK_WINDOW(widget), title);
 #endif /* HAVE_GTK2 */
 }
@@ -745,5 +745,5 @@
    \brief opens up a Window and fixes the Focus to it
 */
-void Window::open()
+void Window::open(void)
 {
   if (this != mainWindow)
@@ -751,6 +751,6 @@
       isOpen = true;
 #ifdef HAVE_GTK2
-      gtk_widget_show_all(widget);
-      gtk_grab_add(widget);
+      gtk_widget_show_all(this->widget);
+      gtk_grab_add(this->widget);
 #endif /* HAVE_GTK2 */
     }
@@ -760,19 +760,19 @@
    \brief closes up a Window and removes the Focus from it
 */
-void Window::close()
+void Window::close(void)
 {
   if (this != mainWindow)
     {
-      isOpen = false;
-#ifdef HAVE_GTK2
-      gtk_grab_remove(widget);
-      gtk_widget_hide (widget);
-#endif /* HAVE_GTK2 */
-    }
-}
-
-#ifdef HAVE_GTK2
-/**
-   \brief opens up a window (not topmost Window).
+      this->isOpen = false;
+#ifdef HAVE_GTK2
+      gtk_grab_remove(this->widget);
+      gtk_widget_hide(this->widget);
+#endif /* HAVE_GTK2 */
+    }
+}
+
+#ifdef HAVE_GTK2
+/**
+   \brief opens up a window(not topmost Window).
    this is the Signal that does it. !!SIGNALS ARE STATIC!!
    \param widget the widget that did it.
@@ -780,5 +780,5 @@
    \param window the Window that should be opened
 */
-gint Window::windowOpen (GtkWidget *widget, GdkEvent* event, void* window)
+gint Window::windowOpen(GtkWidget *widget, GdkEvent* event, void* window)
 {
   static_cast<Window*>(window)->open();
@@ -786,5 +786,5 @@
 
 /**
-   \brief closes a window (not topmost Window).
+   \brief closes a window(not topmost Window).
    this is the Signal that does it. !!SIGNALS ARE STATIC!!
    \param widget the widget that did it!
@@ -792,5 +792,5 @@
    \param window the Window that should be closed
 */
-gint Window::windowClose (GtkWidget *widget, GdkEvent* event, void* window)
+gint Window::windowClose(GtkWidget *widget, GdkEvent* event, void* window)
 {
   static_cast<Window*>(window)->close();
@@ -805,5 +805,5 @@
     \brief Creates a new Frame without a name
 */
-Frame::Frame (void)
+Frame::Frame(void)
 {
   this->init();
@@ -813,5 +813,5 @@
    \brief Creates a new Frame with name title
 */
-Frame::Frame (char* title)
+Frame::Frame(char* title)
 {
   this->init();
@@ -822,5 +822,5 @@
    \brief destrcucts a Frame
 */
-Frame::~Frame()
+Frame::~Frame(void)
 {
   this->destroy();
@@ -830,11 +830,11 @@
     \brief Initializes a new Frame with default settings
 */
-void Frame::init()
+void Frame::init(void)
 {
   static_cast<Container*>(this)->init();
 
 #ifdef HAVE_GTK2
-  widget = gtk_frame_new ("");
-  gtk_container_set_border_width (GTK_CONTAINER (widget), 3);
+  this->widget = gtk_frame_new("");
+  gtk_container_set_border_width(GTK_CONTAINER(this->widget), 3);
 #endif /* HAVE_GTK2 */
 }
@@ -857,5 +857,5 @@
    \param title The title the Frame should get.
 */
-void Frame::setTitle (char* title)
+void Frame::setTitle(char* title)
 {
   if (this->title)
@@ -864,5 +864,5 @@
   strcpy(this->title, title);
 #ifdef HAVE_GTK2
-  gtk_frame_set_label (GTK_FRAME (widget), title);
+  gtk_frame_set_label(GTK_FRAME(widget), title);
 #endif /* HAVE_GTK2 */
 }
@@ -873,5 +873,5 @@
    \brief Creates a new EventBox with default settings.
 */
-EventBox::EventBox (void)
+EventBox::EventBox(void)
 {
   this->init();
@@ -880,7 +880,7 @@
 /**
    \brief Creates a new EventBox with name title
-   \param title title the Eventbox should get (only data-structure-internal)
-*/
-EventBox::EventBox (char* title)
+   \param title title the Eventbox should get(only data-structure-internal)
+*/
+EventBox::EventBox(char* title)
 {
   this->init();
@@ -902,11 +902,11 @@
 void EventBox::init(void)
 {
-  isOption = -1;
+  this->isOption = -1;
 
   static_cast<Container*>(this)->init();
 
 #ifdef HAVE_GTK2
-  widget = gtk_event_box_new ();
-  gtk_container_set_border_width (GTK_CONTAINER (widget), 3);
+  this->widget = gtk_event_box_new();
+  gtk_container_set_border_width(GTK_CONTAINER(this->widget), 3);
 #endif /* HAVE_GTK2 */
 }
@@ -926,8 +926,8 @@
 
 /**
-   \brief Sets the Title of the EventBox (not implemented)
-   \param title Name the EventBox should get (only datastructure-internal).
-*/
-void EventBox::setTitle (char* title)
+   \brief Sets the Title of the EventBox(not implemented)
+   \param title Name the EventBox should get(only datastructure-internal).
+*/
+void EventBox::setTitle(char* title)
 {
   if (this->title)
@@ -942,5 +942,5 @@
    \brief Creates a new horizontal Box
 */
-Box::Box (void)
+Box::Box(void)
 {
   this->init('h');
@@ -951,5 +951,5 @@
    \param boxtype if 'v' the Box will be vertically, if 'h' the Box will be horizontally
 */
-Box::Box (char boxtype)
+Box::Box(char boxtype)
 {
   this->init(boxtype);
@@ -970,5 +970,5 @@
 void Box::init(char boxtype)
 {
-  isOption = -2;
+  this->isOption = -2;
 
   static_cast<Packer*>(this)->init();
@@ -976,9 +976,9 @@
   if (boxtype == 'v')
     {
-      widget = gtk_vbox_new (FALSE, 0);
+      this->widget = gtk_vbox_new(FALSE, 0);
     }
   else
     {
-      widget = gtk_hbox_new (FALSE, 0);
+      this->widget = gtk_hbox_new(FALSE, 0);
     }
 #endif /* HAVE_GTK2 */
@@ -1004,8 +1004,8 @@
     It does this by apending the first one to its down-pointer and all its following ones to the preceding next-pointer. The last one will receive a NULL pointer as Next
 */
-void Box::fill (Widget *lowerWidget)
-{
-#ifdef HAVE_GTK2
-  gtk_box_pack_start (GTK_BOX (this->widget), lowerWidget->widget, TRUE, TRUE, 0);
+void Box::fill(Widget* lowerWidget)
+{
+#ifdef HAVE_GTK2
+  gtk_box_pack_start(GTK_BOX(this->widget), lowerWidget->widget, TRUE, TRUE, 0);
 #endif /* HAVE_GTK2 */
   if (this->down == NULL)
@@ -1015,5 +1015,5 @@
       Widget* tmp;
       tmp = this->down;
-      while (tmp->next != NULL)
+      while(tmp->next != NULL)
 	{
 	  tmp = tmp->next;
@@ -1041,11 +1041,11 @@
    sets all Option-Specific-Values to their defaults.
 */
-void Option::init()
-{
-  value = 0;
-  flagName = NULL;
-  flagNameShort = NULL;
-  saveable = false;
-  defaultValue = 0;
+void Option::init(void)
+{
+  this->value = 0;
+  this->flagName = NULL;
+  this->flagNameShort = NULL;
+  this->saveable = false;
+  this->defaultValue = 0;
 
   static_cast<Widget*>(this)->init();
@@ -1060,8 +1060,8 @@
 { 
   PRINTF(4)("deleting the Option Part.\n");
-  if (flagName)
-    delete []flagName;
-  if (flagNameShort)
-    delete []flagNameShort;
+  if (this->flagName)
+    delete []this->flagName;
+  if (this->flagNameShort)
+    delete []this->flagNameShort;
 
   static_cast<Widget*>(this)->destroy();
@@ -1072,13 +1072,13 @@
    !! Options will be saved if flagname is different from NULL !!
    \param flagname the Name that will be displayed in the output
-   \param defaultvalue the default Value for this Option (see definition of defaultvalue
-*/
-void Option::setFlagName (char* flagname, int defaultvalue)
-{
-  if (flagName)
-    delete flagName;
-  flagName = new char [strlen(flagname)+1];
-  strcpy(flagName, flagname);
-  defaultValue = defaultvalue;
+   \param defaultvalue the default Value for this Option(see definition of defaultvalue
+*/
+void Option::setFlagName(char* flagname, int defaultvalue)
+{
+  if (this->flagName)
+    delete this->flagName;
+  this->flagName = new char [strlen(flagname)+1];
+  strcpy(this->flagName, flagname);
+  this->defaultValue = defaultvalue;
 
   //  cout << "Set Flagname of " << this->title << " to " << flagname << endl;
@@ -1086,21 +1086,21 @@
 
 /** 
-    \brief see Option::setFlagName (char* flagname, int defaultvalue)
+    \brief see Option::setFlagName(char* flagname, int defaultvalue)
     \param flagname the Name that will be displayed in the output
-    \param defaultvalue the default Value for this Option (see definition of defaultvalue
+    \param defaultvalue the default Value for this Option(see definition of defaultvalue
     \param flagnameshort a short flagname to be displayed in the output
 */
-void Option::setFlagName (char* flagname, char* flagnameshort,  int defaultvalue)
-{
-  if (flagName)
-    delete flagName;
-  flagName = new char [strlen(flagname)+1];
-  strcpy(flagName, flagname);
-
-  if (flagNameShort)
-    delete flagNameShort;
-  flagNameShort = new char [strlen(flagnameshort)+1];
-  strcpy(flagNameShort, flagnameshort);
-  defaultValue = defaultvalue;
+void Option::setFlagName(char* flagname, char* flagnameshort,  int defaultvalue)
+{
+  if (this->flagName)
+    delete []this->flagName;
+  this->flagName = new char [strlen(flagname)+1];
+  strcpy(this->flagName, flagname);
+
+  if (this->flagNameShort)
+    delete []this->flagNameShort;
+  this->flagNameShort = new char [strlen(flagnameshort)+1];
+  strcpy(this->flagNameShort, flagnameshort);
+  this->defaultValue = defaultvalue;
   //  cout << "Set Flagname of " << this->title << " to " << flagname << endl;
 }
@@ -1137,8 +1137,8 @@
     \param slider the Slider-Object that should receive the change.
 */
-gint Option::OptionChange (GtkWidget *widget, Widget* option)
+gint Option::OptionChange(GtkWidget *widget, Widget* option)
 {
   static_cast<Option*>(option)->changeOption();
-  flags->setTextFromFlags(orxonoxGUI);  //// must be different !!!
+  flags->setTextFromFlags(Window::mainWindow);  //// must be different !!!
 }
 #endif /* HAVE_GTK2 */
@@ -1175,5 +1175,5 @@
 
 #ifdef HAVE_GTK2
-  widget = gtk_button_new_with_label ("");
+  widget = gtk_button_new_with_label("");
 #endif /* HAVE_GTK2 */
 }
@@ -1196,5 +1196,5 @@
    \param title The name the Button should get
 */
-void Button::setTitle (char *title)
+void Button::setTitle(char *title)
 {
   if (this->title)
@@ -1203,5 +1203,5 @@
   strcpy(this->title, title);
 #ifdef HAVE_GTK2
-  gtk_button_set_label (GTK_BUTTON(widget), title);
+  gtk_button_set_label(GTK_BUTTON(widget), title);
 #endif /* HAVE_GTK2 */
 }
@@ -1211,5 +1211,5 @@
    not implemented yet
 */
-void Button::redraw (void)
+void Button::redraw(void)
 {
 }
@@ -1217,4 +1217,6 @@
 /**
    \brief Button can not be changed, optionChange is empty)
+
+   \todo Actions for non-GTK-mode
 */
 void Button::changeOption(void)
@@ -1229,5 +1231,5 @@
    \param buttonname The name the CheckButton should display.
 */
-CheckButton::CheckButton (char* buttonname)
+CheckButton::CheckButton(char* buttonname)
 {
   this->init();
@@ -1235,5 +1237,5 @@
 
 #ifdef HAVE_GTK2
-  this->connectSignal ("clicked", this->OptionChange);
+  this->connectSignal("clicked", this->OptionChange);
 #endif /* HAVE_GTK2 */
 }
@@ -1252,10 +1254,10 @@
 void CheckButton::init(void)
 {
-  isOption = 1;
+  this->isOption = 1;
 
   static_cast<Option*>(this)->init();
 
 #ifdef HAVE_GTK2
-  widget = gtk_check_button_new_with_label ("");
+  this->widget = gtk_check_button_new_with_label("");
 #endif /* HAVE_GTK2 */
 }
@@ -1289,5 +1291,5 @@
 }
 
-bool CheckButton::isActive()
+bool CheckButton::isActive(void)
 {
 #ifdef HAVE_GTK2
@@ -1299,8 +1301,8 @@
    \brief Changed the Option, call this Function
 */
-void CheckButton::changeOption()
-{
-#ifdef HAVE_GTK2
-  this->value = (int)gtk_toggle_button_get_active (GTK_TOGGLE_BUTTON (this->widget));
+void CheckButton::changeOption(void)
+{
+#ifdef HAVE_GTK2
+  this->value =(int)gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(this->widget));
 #else /* HAVE_GTK2 */
   char tmpChar[20];
@@ -1316,11 +1318,11 @@
 
 /**
-   \brief Redraws the CheckButton (if option has changed).
+   \brief Redraws the CheckButton(if option has changed).
    Example: if new settings are loaded the Button must be redrawn for the GUI to display that Change
 */
-void CheckButton::redraw ()
-{
-#ifdef HAVE_GTK2
-  gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (widget), value);
+void CheckButton::redraw(void)
+{
+#ifdef HAVE_GTK2
+  gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(this->widget), value);
 #endif /* HAVE_GTK2 */
 }
@@ -1334,5 +1336,5 @@
    \param end The maximal Value of the slider.
 */
-Slider::Slider (char* slidername, int start, int end)
+Slider::Slider(char* slidername, int start, int end)
 {
   this->init(start, end);
@@ -1340,5 +1342,5 @@
   this->setTitle(slidername);
 #ifdef HAVE_GTK2
-  this->connectSignal ("value_changed", this->OptionChange);
+  this->connectSignal("value_changed", this->OptionChange);
 #endif /* HAVE_GTK2 */
 }
@@ -1354,9 +1356,9 @@
 /**
    \brief Initializes a Slider with start and end Values
-   params: see Slider::Slider (char* slidername, int start, int end)
+   params: see Slider::Slider(char* slidername, int start, int end)
 */
 void Slider::init(int start, int end)
 {
-  isOption = 2;
+  this->isOption = 2;
 
   static_cast<Option*>(this)->init();
@@ -1365,5 +1367,5 @@
   this->end = end;
 #ifdef HAVE_GTK2
- widget = gtk_hscale_new_with_range (start, end, 5);
+ widget = gtk_hscale_new_with_range(this->start, this->end, 5);
 #endif /* HAVE_GTK2 */
 }
@@ -1406,10 +1408,10 @@
 /**
    \brief Redraws the widget
-   Example: see void CheckButton::redraw ()
-*/
-void Slider::redraw ()
-{
-#ifdef HAVE_GTK2
-  gtk_range_set_value (GTK_RANGE (widget), value);
+   Example: see void CheckButton::redraw(void)
+*/
+void Slider::redraw(void)
+{
+#ifdef HAVE_GTK2
+  gtk_range_set_value(GTK_RANGE(this->widget), value);
 #endif /* HAVE_GTK2 */
 }
@@ -1418,8 +1420,8 @@
    \brief Changed the Option, call this Function
 */
-void Slider::changeOption()
-{
-#ifdef HAVE_GTK2
-  this->value = (int)gtk_range_get_value(GTK_RANGE(this->widget));
+void Slider::changeOption(void)
+{
+#ifdef HAVE_GTK2
+  this->value =(int)gtk_range_get_value(GTK_RANGE(this->widget));
 #else /* HAVE_GTK2 */
   char tmpChar[20];
@@ -1443,5 +1445,5 @@
     \param ... items to be added to this Menu. !! Consider, that the last input argument has to be "lastItem" for this to work!!
 */
-Menu::Menu (char* menuname, ...)
+Menu::Menu(char* menuname, ...)
 {
   this->init();
@@ -1451,6 +1453,6 @@
 
 #ifdef HAVE_GTK2             /////////////////////// REINPLEMENT
-  va_start (itemlist, menuname);
-  while (strcmp (itemName = va_arg (itemlist, char*), "lastItem"))
+  va_start(itemlist, menuname);
+  while(strcmp(itemName = va_arg(itemlist, char*), "lastItem"))
     {
       this->addItem(itemName);
@@ -1460,6 +1462,6 @@
 
 #ifdef HAVE_GTK2
-  gtk_option_menu_set_menu (GTK_OPTION_MENU (widget), menu);
-  this->connectSignal ("changed", this->OptionChange);
+  gtk_option_menu_set_menu(GTK_OPTION_MENU(this->widget), menu);
+  this->connectSignal("changed", this->OptionChange);
 #endif /* HAVE_GTK2 */
 }
@@ -1478,11 +1480,11 @@
 void Menu::init(void)
 {
-  isOption = 2;
+  this->isOption = 2;
 
   static_cast<Option*>(this)->init();
 
 #ifdef HAVE_GTK2
-  widget = gtk_option_menu_new ();
-  menu = gtk_menu_new ();
+  this->widget = gtk_option_menu_new();
+  this->menu = gtk_menu_new();
 #endif /* HAVE_GTK2 */
 
@@ -1519,10 +1521,12 @@
    \brief appends a new Item to the Menu-List.
    \param itemName the itemName to be appendet.
-*/
-void Menu::addItem (char* itemName)
-{
-#ifdef HAVE_GTK2
-  item = gtk_menu_item_new_with_label (itemName);
-  gtk_menu_shell_append(GTK_MENU_SHELL (menu), item);
+
+   \todo make the item-list readable without GTK
+*/
+void Menu::addItem(char* itemName)
+{
+#ifdef HAVE_GTK2
+  this->item = gtk_menu_item_new_with_label(itemName);
+  gtk_menu_shell_append(GTK_MENU_SHELL(this->menu), this->item);
 #endif /* HAVE_GTK2 */
 }
@@ -1530,10 +1534,10 @@
 /**
    \brief Redraws the widget
-   Example: see void CheckButton::redraw ()
-*/
-void Menu::redraw ()
-{
-#ifdef HAVE_GTK2
- gtk_option_menu_set_history (GTK_OPTION_MENU (widget), value);
+   Example: see void CheckButton::redraw(void)
+*/
+void Menu::redraw(void)
+{
+#ifdef HAVE_GTK2
+ gtk_option_menu_set_history(GTK_OPTION_MENU(this->widget), this->value);
 #endif /* HAVE_GTK2 */
 }
@@ -1542,11 +1546,11 @@
    \brief Changed the Option, call this Function
 */
-void Menu::changeOption()
-{
-#ifdef HAVE_GTK2
-  this->value = (int)gtk_option_menu_get_history (GTK_OPTION_MENU (this->widget));
+void Menu::changeOption(void)
+{
+#ifdef HAVE_GTK2
+  this->value =(int)gtk_option_menu_get_history(GTK_OPTION_MENU(this->widget));
 #else /* HAVE_GTK2 */
   char tmpChar[20];
-  cout << "\nPlease give me a new value for " << this->title << " (defualt:" << this->defaultValue << "): ";
+  cout << "\nPlease give me a new value for " << this->title << "(defualt:" << this->defaultValue << "): ";
   cin >> tmpChar;
   this->value = atoi(tmpChar);
@@ -1561,11 +1565,11 @@
    \brief Creates a new OptionLabel with a LabelName and a Value.
    \param label The name of the OptionLabel.
-   \param value The Value of the OptionLabel (what will be displayed).
+   \param value The Value of the OptionLabel(what will be displayed).
 */
 OptionLabel::OptionLabel(char* label, char* value)
 {
-  init();
-  setTitle(label);
-  setValue(value);
+  this->init();
+  this->setTitle(label);
+  this->setValue(value);
 }
 
@@ -1583,10 +1587,11 @@
 void OptionLabel::init(void)
 {
+  this->isOption = 5;
   static_cast<Option*>(this)->init();
-  isOption = 5;
+
   cValue = NULL;
 
 #ifdef HAVE_GTK2
-  widget = gtk_label_new ("");
+  this->widget = gtk_label_new("");
 #endif /* HAVE_GTK2 */
 }
@@ -1601,6 +1606,6 @@
   else 
     PRINTF(3)("deleting the OptionLabel.\n");
-  if (cValue)
-    delete []cValue;
+  if (this->cValue)
+    delete []this->cValue;
 
   static_cast<Option*>(this)->destroy();
@@ -1614,10 +1619,10 @@
 void OptionLabel::setValue(char* newValue)
 {
-  if (cValue)
-    delete cValue;
-  cValue = new char [strlen(newValue)+1];
-  strcpy(cValue, newValue);
-#ifdef HAVE_GTK2
-  gtk_label_set_text (GTK_LABEL (widget), cValue);
+  if (this->cValue)
+    delete []this->cValue;
+  this->cValue = new char [strlen(newValue)+1];
+  strcpy(this->cValue, newValue);
+#ifdef HAVE_GTK2
+  gtk_label_set_text(GTK_LABEL(this->widget), this->cValue);
 #endif /* HAVE_GTK2 */
 }
@@ -1633,15 +1638,15 @@
   this->title = new char [strlen(title)+1];
   strcpy(this->title, title);
-#ifdef HAVE_GTK2
-  gtk_label_set_text (GTK_LABEL(widget), title);
-#endif /* HAVE_GTK2 */
-}
-
-/**
-   \brief Redraws an OptionLabel (not implemented yet, but it works).
+  this->redraw();
+}
+
+/**
+   \brief Redraws an OptionLabel(not implemented yet, but it works).
 */
 void OptionLabel::redraw(void)
 {
-  
+#ifdef HAVE_GTK2
+  gtk_label_set_text(GTK_LABEL(widget), title);
+#endif /* HAVE_GTK2 */
 }
 
@@ -1649,8 +1654,8 @@
    \brief Changed the Option, call this Function
 */
-void OptionLabel::changeOption()
-{
-#ifdef HAVE_GTK2
-  this->cValue = (char*)gtk_label_get_text (GTK_LABEL(this->widget));
+void OptionLabel::changeOption(void)
+{
+#ifdef HAVE_GTK2
+  this->cValue =(char*)gtk_label_get_text(GTK_LABEL(this->widget));
 #else /* HAVE_GTK2 */
   cout << "\nPlease give me a new input for " << this->title << ": ";
@@ -1665,5 +1670,5 @@
    You migth consider adding Label::setTitle with this.
 */
-Label::Label ()
+Label::Label(void)
 {
   this->init();
@@ -1674,5 +1679,5 @@
    \param text The text to be displayed.
 */
-Label:: Label (char* text)
+Label:: Label(char* text)
 {
   this->init();
@@ -1693,11 +1698,11 @@
 void Label::init(void)
 {
-  isOption = 0;
+  this->isOption = 0;
 
   static_cast<Widget*>(this)->init();
 
 #ifdef HAVE_GTK2
-  widget = gtk_label_new ("");
-  gtk_label_set_line_wrap (GTK_LABEL(widget), TRUE);
+  this->widget = gtk_label_new("");
+  gtk_label_set_line_wrap(GTK_LABEL(this->widget), TRUE);
 #endif /* HAVE_GTK2 */
 }
@@ -1727,5 +1732,5 @@
   strcpy(this->title, text);
 #ifdef HAVE_GTK2
-  gtk_label_set_text (GTK_LABEL (this->widget), text);
+  gtk_label_set_text(GTK_LABEL(this->widget), this->title);
 #endif /* HAVE_GTK2 */
 }
@@ -1759,5 +1764,5 @@
   
 #ifdef HAVE_GTK2
-  gtk_label_set_text (GTK_LABEL (this->widget), title);
+  gtk_label_set_text(GTK_LABEL(this->widget), title);
 #endif /* HAVE_GTK2 */
 }
@@ -1771,5 +1776,5 @@
 void Label::appendInt(int intToAppend)
 {
-  char append [20];
+  char append [32];
   sprintf(append, "%d", intToAppend);
   this->appendText(append);
@@ -1781,5 +1786,5 @@
    \return The Text the Label holds.
 */
-char* Label::getText ()
+char* Label::getText(void)
 {
   return this->title;
@@ -1789,7 +1794,7 @@
    \brief Creates a new ProgressBar.
 */
-ProgressBar::ProgressBar (void)
-{
-  this->init ();
+ProgressBar::ProgressBar(void)
+{
+  this->init();
 }
 
@@ -1798,8 +1803,8 @@
    \param label The name you want to get the ProgressBar.
 */
-ProgressBar::ProgressBar (char* label)
+ProgressBar::ProgressBar(char* label)
 {
   this->init();
-  this->setTitle (label);
+  this->setTitle(label);
 }
 
@@ -1807,5 +1812,5 @@
    \brief destructs a ProgressBar
 */
-ProgressBar::~ProgressBar ()
+ProgressBar::~ProgressBar(void)
 {
   this->destroy();
@@ -1815,14 +1820,14 @@
    \brief Initializes a ProgressBar
 */
-void ProgressBar::init (void)
-{
-  isOption = 0;
-  progress = 0.0;
-  totalSize = 0.0;
+void ProgressBar::init(void)
+{
+  this->isOption = 0;
+  this->progress = 0.0;
+  this->totalSize = 0.0;
 
   static_cast<Widget*>(this)->init();
 #ifdef HAVE_GTK2
-  adjustment = (GtkAdjustment*)gtk_adjustment_new(0, 0, 100, 0, 0, 0);
-  widget = gtk_progress_bar_new_with_adjustment(adjustment);
+  this->adjustment =(GtkAdjustment*)gtk_adjustment_new(0, 0, 100, 0, 0, 0);
+  this->widget = gtk_progress_bar_new_with_adjustment(this->adjustment);
 #endif /* HAVE_GTK2 */
 }
@@ -1854,7 +1859,7 @@
 
 /**
-   \brief Sets the Total size of the Bar. (ex. The maximum one can download)
-*/
-void ProgressBar::setTotalSize (double totalSize)
+   \brief Sets the Total size of the Bar.(ex. The maximum one can download)
+*/
+void ProgressBar::setTotalSize(double totalSize)
 {
   this->totalSize = totalSize;
@@ -1864,5 +1869,5 @@
    \brief Sets the progress maximum is this->totalSize
 */
-void ProgressBar::setProgress (double progress)
+void ProgressBar::setProgress(double progress)
 {
   this->progress = progress;
@@ -1874,5 +1879,5 @@
   gtk_progress_set_value(GTK_PROGRESS(widget), this->progress*100.0/this->totalSize);
 #endif /* HAVE_GTK2 */
-  PRINTF(3)("Progress: %f\n", progress*100.0/totalSize);
+  PRINTF(3)("Progress: %f\n", this->progress*100.0/this->totalSize);
 }
 
@@ -1880,5 +1885,5 @@
     \brief returns the Progress Status
 */
-double ProgressBar::getProgress (void)
+double ProgressBar::getProgress(void)
 {
   return this->progress;
@@ -1891,5 +1896,5 @@
    \param imagename the location of the Image on the Hard Disc
 */
-Image::Image (char* imagename)
+Image::Image(char* imagename)
 {
   this->init();
@@ -1900,5 +1905,5 @@
 
 #ifdef HAVE_GTK2
-  widget = gtk_image_new_from_file (imagename);
+  widget = gtk_image_new_from_file(imagename);
 #endif /* HAVE_GTK2 */
 }
@@ -1915,5 +1920,5 @@
     \brief Initializes a new Image
 */
-void Image::init()
+void Image::init(void)
 {
   isOption = 0;
Index: /orxonox/branches/updater/src/gui/orxonox_gui_gtk.h
===================================================================
--- /orxonox/branches/updater/src/gui/orxonox_gui_gtk.h	(revision 3314)
+++ /orxonox/branches/updater/src/gui/orxonox_gui_gtk.h	(revision 3315)
@@ -42,16 +42,16 @@
 
  public:
-  virtual ~Widget ();
-  void init(void);
-  void destroy(void);
-
-  void show ();
-  void hide ();
+  virtual ~Widget(void);
+  void init(void);
+  void destroy(void);
+
+  void show(void);
+  void hide(void);
   void setSize(int width, int height);
   virtual void setTitle(char* title) = 0;  //!< An abstract Function, that sets the title of Widgets.
 
   Widget* findWidgetByName(char* name, unsigned int depth);
-  void walkThrough (void (*function)(Widget*), unsigned int depth);
-  void walkThrough (void (*function)(Widget*, void*), void* data, unsigned int depth);
+  void walkThrough(void(*function)(Widget*), unsigned int depth);
+  void walkThrough(void(*function)(Widget*, void*), void* data, unsigned int depth);
   static void listOptionsAndGroups(Widget* widget);
   static void listOptions(Widget* widget);
@@ -67,13 +67,13 @@
   // Connection - Functions
 
-  gulong connectSignal (char* event, gint (*signal)(GtkWidget*, GdkEvent*, void* ));
-  gulong connectSignal (char* event, gint (*signal)(GtkWidget*, Widget* ));
-  gulong connectSignal (char* event, void* extObj, gint (*signal)(GtkWidget*, GdkEvent*, void* ));
-  gulong connectSignal (char* event, void* extObj, gint (*signal)(GtkWidget*, void* ));
-  gulong connectSignal (char* event, void* extObj, gint (*signal)(GtkWidget*, GdkEventKey*, void* ));
-  void disconnectSignal (gulong signalID);
+  gulong connectSignal(char* event, gint(*signal)(GtkWidget*, GdkEvent*, void* ));
+  gulong connectSignal(char* event, gint(*signal)(GtkWidget*, Widget* ));
+  gulong connectSignal(char* event, void* extObj, gint(*signal)(GtkWidget*, GdkEvent*, void* ));
+  gulong connectSignal(char* event, void* extObj, gint(*signal)(GtkWidget*, void* ));
+  gulong connectSignal(char* event, void* extObj, gint(*signal)(GtkWidget*, GdkEventKey*, void* ));
+  void disconnectSignal(gulong signalID);
 
   // Signals
-  static gint doNothingSignal (GtkWidget* widget, GdkEvent* event, void* nothing);
+  static gint doNothingSignal(GtkWidget* widget, GdkEvent* event, void* nothing);
 #endif /* HAVE_GTK2 */
 
@@ -99,8 +99,8 @@
   void destroy(void);
 
-  void setGroupName (char* name);
-  char* getGroupName (void);
-
-  virtual void fill (Widget* lowerWidget) = 0; //!< An abstract function, that fills Packers.
+  void setGroupName(char* name);
+  char* getGroupName(void);
+
+  virtual void fill(Widget* lowerWidget) = 0; //!< An abstract function, that fills Packers.
 };
 
@@ -121,7 +121,7 @@
   void destroy(void);
 
-  //  void setBorderWidth (int borderwidth);
-  //  virtual void setTitle (char* title) = 0;
-  void fill (Widget* lowerWidget);
+  //  void setBorderWidth(int borderwidth);
+  //  virtual void setTitle(char* title) = 0;
+  void fill(Widget* lowerWidget);
 };
 
@@ -142,5 +142,5 @@
   Window(char* windowName);
   ~Window(void);
-  void init();
+  void init(void);
   void destroy(void);
   
@@ -166,5 +166,5 @@
  public:
   Frame(void);
-  Frame (char* frameName);
+  Frame(char* frameName);
   ~Frame(void);
   void init(void);
@@ -181,6 +181,6 @@
 {
  public:
-  EventBox (void);
-  EventBox (char* eventBoxName);
+  EventBox(void);
+  EventBox(char* eventBoxName);
   ~EventBox(void);
   void init(void);
@@ -194,16 +194,16 @@
    A Box can Contain multiple Widgets, that are ordered either horizontally or vertically
    I defined the standartbox to be horizontally.
-   A Box is always filled left->right (horizontally) or up->down (vertically)
+   A Box is always filled left->right(horizontally) or up->down(vertically)
 */
 class Box : public Packer
 {
  public:
-  Box (void);
-  Box (char boxtype);
+  Box(void);
+  Box(char boxtype);
   ~Box(void);
   void init(char boxtype);
   void destroy(void);
   
-  void fill (Widget* lowerWidget);
+  void fill(Widget* lowerWidget);
 
   void setTitle(char* title);
@@ -223,19 +223,19 @@
   void destroy(void);
 
-  int value; //!< every option has a value either true or false (0,1) or something else like 25 for 25% of the volume
+  int value; //!< every option has a value either true or false(0,1) or something else like 25 for 25% of the volume
   char* flagName; //!< options have a flag name that will be appendet if you start the Program from the GUI.
   char* flagNameShort; //!< like flag_name but shorter
-  int defaultValue; //!< A default value is good, for hiding a option if it is not needed. (hidden if value == default_value)
+  int defaultValue; //!< A default value is good, for hiding a option if it is not needed.(hidden if value == default_value)
 
   void saveability(void);
   void saveability(bool isSaveable);
   bool isSaveable(void);
-  void setFlagName (char* flagname, int defaultvalue);
-  void setFlagName (char* flagname, char* flagnameshort, int defaultvalue);
-  virtual void redraw (void) = 0; //!< A Option must be able to redraw itself.
+  void setFlagName(char* flagname, int defaultvalue);
+  void setFlagName(char* flagname, char* flagnameshort, int defaultvalue);
+  virtual void redraw(void) = 0; //!< A Option must be able to redraw itself.
   virtual void changeOption(void) = 0; //!< What to do, if an Option is Changed. eacht option decides for itself.
 #ifdef HAVE_GTK2
     // Signals  
-  static gint OptionChange (GtkWidget* widget, Widget* option); //!< Signal for Options that change.
+  static gint OptionChange(GtkWidget* widget, Widget* option); //!< Signal for Options that change.
 #endif /* HAVE_GTK2 */
 };
@@ -248,5 +248,5 @@
 {
  public:
-  Button (char* buttonname);
+  Button(char* buttonname);
   ~Button(void);
   void init(void);
@@ -254,5 +254,5 @@
 
   void setTitle(char* title);
-  void redraw();
+  void redraw(void);
   void changeOption(void);
 };
@@ -264,5 +264,5 @@
 {
  public:
-  CheckButton (char* buttonname);
+  CheckButton(char* buttonname);
   ~CheckButton(void);
   void init(void);
@@ -270,6 +270,6 @@
 
   void setTitle(char* title);
-  bool isActive();           //!< a Bool value to see, if this CheckButton is active.
-  void redraw ();
+  bool isActive(void);           //!< a Bool value to see, if this CheckButton is active.
+  void redraw(void);
   void changeOption(void);
 };
@@ -307,5 +307,5 @@
   
  public:
-  Menu (char* menuname, ...);
+  Menu(char* menuname, ...);
   ~Menu(void);
   void init(void);
@@ -332,6 +332,6 @@
   void setValue(char* newValue);
   void setTitle(char* title);
-  void redraw();
-  void changeOption();
+  void redraw(void);
+  void changeOption(void);
 
   char* cValue;                          //!< The Value the Label will have. \todo make private
@@ -343,6 +343,6 @@
 {
  public:
-  Label (void);
-  Label (char* text);
+  Label(void);
+  Label(char* text);
   ~Label(void);
   void init(void);
@@ -353,5 +353,5 @@
   void appendText(char* textToAppend);
   void appendInt(int intToAppend);
-  char* getText ();
+  char* getText(void);
 };
 
@@ -360,14 +360,14 @@
 {
  public:
-  ProgressBar (void);
-  ProgressBar (char* label);
-  ~ProgressBar (void);
-  void init(void);
-  void destroy(void);
-
-  void setTitle(char* title);
-  void setProgress (double progress);
-  void setTotalSize (double totalSize);
-  double getProgress (void);
+  ProgressBar(void);
+  ProgressBar(char* label);
+  ~ProgressBar(void);
+  void init(void);
+  void destroy(void);
+
+  void setTitle(char* title);
+  void setProgress(double progress);
+  void setTotalSize(double totalSize);
+  double getProgress(void);
 
  private:
@@ -387,5 +387,5 @@
 {
  public:
-  Image (char* imgaename);
+  Image(char* imgaename);
   ~Image(void);
   void init(void);
@@ -395,5 +395,5 @@
 };
 
-//gint orxonox_gui_quit (GtkWidget* widget, GdkEvent* event, gpointer data);
+//gint orxonox_gui_quit(GtkWidget* widget, GdkEvent* event, gpointer data);
 
 #endif /* _ORXONOX_GUI_GTK_H */
Index: /orxonox/branches/updater/src/gui/orxonox_gui_keys.cc
===================================================================
--- /orxonox/branches/updater/src/gui/orxonox_gui_keys.cc	(revision 3314)
+++ /orxonox/branches/updater/src/gui/orxonox_gui_keys.cc	(revision 3315)
@@ -29,16 +29,16 @@
    \brief Creates an Keyboard-Frame
 */
-OrxonoxGuiKeys::OrxonoxGuiKeys ()
-{
-  keysFrame = new Frame ("Keyboard-Options:");
+OrxonoxGuiKeys::OrxonoxGuiKeys(void)
+{
+  this->keysFrame = new Frame("Keyboard-Options:");
   //  keysFrame->setGroupName("Keyboard");
-  keysBox = new Box ('h');
-  player1 = new Player("player1");
-  player2 = new Player("player2");
-
-  keysBox->fill(player1->getOpenButton());
-  keysBox->fill(player2->getOpenButton());
-
-  keysFrame->fill (keysBox);
+  this->keysBox = new Box('h');
+  this->player1 = new Player("player1");
+  this->player2 = new Player("player2");
+
+  this->keysBox->fill(this->player1->getOpenButton());
+  this->keysBox->fill(this->player2->getOpenButton());
+
+  this->keysFrame->fill(this->keysBox);
 }
 
@@ -47,7 +47,7 @@
    \return Returns the Audio-frame
 */
-Widget* OrxonoxGuiKeys::getWidget ()
-{
-  return keysFrame;
+Widget* OrxonoxGuiKeys::getWidget(void)
+{
+  return this->keysFrame;
 }
 
@@ -60,42 +60,43 @@
 Player::Player(char* player)
 {
-  char windowName[100] = "Keyboard settings of ";
-  strcat (windowName, player);
-  pKeyWindow = new Window(windowName);
-  pKeyFrame = new Frame (windowName);
-   pKeysBox = new Box('v');
-   pKeysBox->setGroupName (player);
-    pKeysBox->fill(addKey(UP, "up"));
-    pKeysBox->fill(addKey(DOWN, "down"));
-    pKeysBox->fill(addKey(LEFT, "left"));
-    pKeysBox->fill(addKey(RIGHT, "right"));
-    pKeysBox->fill(addKey(SHOOT, "shoot"));
-    
+  char* windowName = new char[strlen(player)+25];
+  strcpy(windowName, "Keyboard settings of ");
+  strcat(windowName, player);
+  this->pKeyWindow = new Window(windowName);
+  this->pKeyFrame = new Frame(windowName);
+   this->pKeysBox = new Box('v');
+   this->pKeysBox->setGroupName(player);
+    this->pKeysBox->fill(addKey(UP, "up"));
+    this->pKeysBox->fill(addKey(DOWN, "down"));
+    this->pKeysBox->fill(addKey(LEFT, "left"));
+    this->pKeysBox->fill(addKey(RIGHT, "right"));
+    this->pKeysBox->fill(addKey(SHOOT, "shoot"));
+    delete windowName;
     closeButton = new Button("close");
 #ifdef HAVE_GTK2
-    closeButton->connectSignal("button_press_event", pKeyWindow, Window::windowClose);
-#endif /* HAVE_GTK2 */
-
-    pKeysBox->fill(closeButton);
-    pKeyFrame->fill(pKeysBox);
-   pKeyWindow->fill(pKeyFrame);
-   Window::addWindow(pKeyWindow);
-#ifdef HAVE_GTK2
-   pKeyWindow->connectSignal("destroy", pKeyWindow, Window::windowClose);
-   pKeyWindow->connectSignal("delete_event", pKeyWindow, Window::windowClose);
-#endif /* HAVE_GTK2 */
-
-  openButton = new Button (player);
-#ifdef HAVE_GTK2
-  openButton->connectSignal("button_press_event", pKeyWindow, Window::windowOpen);
-#endif /* HAVE_GTK2 */
-
-  inputWindow = new Window("inputWindow");
-
-  inputButton = new Button ("test");
-  inputWindow->fill (inputButton);
-#ifdef HAVE_GTK2
-  inputWindow->connectSignal("destroy",  Widget::doNothingSignal);
-  inputWindow->connectSignal("delete_event", Widget::doNothingSignal);
+    this->closeButton->connectSignal("button_press_event", this->pKeyWindow, Window::windowClose);
+#endif /* HAVE_GTK2 */
+
+    this->pKeysBox->fill(this->closeButton);
+    this->pKeyFrame->fill(this->pKeysBox);
+   this->pKeyWindow->fill(this->pKeyFrame);
+   Window::addWindow(this->pKeyWindow);
+#ifdef HAVE_GTK2
+   this->pKeyWindow->connectSignal("destroy", this->pKeyWindow, Window::windowClose);
+   this->pKeyWindow->connectSignal("delete_event", this->pKeyWindow, Window::windowClose);
+#endif /* HAVE_GTK2 */
+
+  this->openButton = new Button(player);
+#ifdef HAVE_GTK2
+  this->openButton->connectSignal("button_press_event", this->pKeyWindow, Window::windowOpen);
+#endif /* HAVE_GTK2 */
+
+  this->inputWindow = new Window("inputWindow");
+
+  this->inputButton = new Button("test");
+  this->inputWindow->fill(inputButton);
+#ifdef HAVE_GTK2
+  this->inputWindow->connectSignal("destroy",  Widget::doNothingSignal);
+  this->inputWindow->connectSignal("delete_event", Widget::doNothingSignal);
 #endif /* HAVE_GTK2 */
 
@@ -108,19 +109,19 @@
    \returns A widget that has the Key-Box
 */
-Widget* Player::addKey (KEYS key, char* name)
-{
-  inputKey[key] = new InputKey;
-  inputKey[key]->pKeyBox = new Box();
-  inputKey[key]->pKeyButton = new Button(name);
-  inputKey[key]->pKeyOLabel = new OptionLabel (name, name);
-  inputKey[key]->pKeyOLabel->saveability();
+Widget* Player::addKey(KEYS key, char* name)
+{
+  this->inputKey[key] = new InputKey;
+  this->inputKey[key]->pKeyBox = new Box();
+  this->inputKey[key]->pKeyButton = new Button(name);
+  this->inputKey[key]->pKeyOLabel = new OptionLabel(name, name);
+  this->inputKey[key]->pKeyOLabel->saveability();
 
 #ifdef HAVE_GTK2
   //inputKey[key]->pKeyButton->connectSignal("key_press_event", inputKey[key]->pKeyButton, key_cb);
-  inputKey[key]->pKeyButton->connectSignal("button_press_event", inputKey[key], inputWindowEvent);
-#endif /* HAVE_GTK2 */
-  inputKey[key]->pKeyBox->fill(inputKey[key]->pKeyButton);
-  inputKey[key]->pKeyBox->fill(inputKey[key]->pKeyOLabel);
-  return inputKey[key]->pKeyBox;
+  this->inputKey[key]->pKeyButton->connectSignal("button_press_event", this->inputKey[key], inputWindowEvent);
+#endif /* HAVE_GTK2 */
+  this->inputKey[key]->pKeyBox->fill(this->inputKey[key]->pKeyButton);
+  this->inputKey[key]->pKeyBox->fill(this->inputKey[key]->pKeyOLabel);
+  return this->inputKey[key]->pKeyBox;
 }
 
@@ -128,11 +129,11 @@
    \returns the OpenButton of a Player
 */
-Button* Player::getOpenButton()
-{
-  return openButton;
-}
-
-/**
-   \brief sets a new Key (only output)
+Button* Player::getOpenButton(void)
+{
+  return this->openButton;
+}
+
+/**
+   \brief sets a new Key(only output)
    \param key the new Key.
 */
@@ -163,5 +164,5 @@
 gint Player::key_cb(GtkWidget* w, GdkEventKey* event, void* inputKey)
 {
-  InputKey* inputkey = (InputKey*) inputKey;
+  InputKey* inputkey =(InputKey*) inputKey;
   char title [20];
 
@@ -256,10 +257,10 @@
       char* tmp;
       sprintf(tmp, "%c", event->keyval);
-      printf ("other key %s \n", tmp);
+      printf("other key %s \n", tmp);
       strcpy(title, tmp);
       break;
     }
 
-  inputkey->pKeyOLabel->setValue (title);
+  inputkey->pKeyOLabel->setValue(title);
   inputButton->disconnectSignal(keySignal);
   inputWindow->close();
Index: /orxonox/branches/updater/src/gui/orxonox_gui_keys.h
===================================================================
--- /orxonox/branches/updater/src/gui/orxonox_gui_keys.h	(revision 3314)
+++ /orxonox/branches/updater/src/gui/orxonox_gui_keys.h	(revision 3315)
@@ -15,5 +15,5 @@
    \brief defines the Possible Player Keys
 */
-enum KEYS { UP, DOWN, LEFT, RIGHT, SHOOT };
+enum KEYS {UP, DOWN, LEFT, RIGHT, SHOOT};
 
 class Player;
@@ -29,8 +29,8 @@
 
  public:
-  OrxonoxGuiKeys ();
-  ~OrxonoxGuiKeys ();
+  OrxonoxGuiKeys(void);
+  ~OrxonoxGuiKeys(void);
   
-  Widget* getWidget ();
+  Widget* getWidget(void);
 };
 
@@ -64,7 +64,7 @@
   Player(char* player);
 
-  Widget* addKey (KEYS key, char* name);
+  Widget* addKey(KEYS key, char* name);
 
-  Button* getOpenButton();
+  Button* getOpenButton(void);
 
 #ifdef HAVE_GTK2
Index: /orxonox/branches/updater/src/gui/orxonox_gui_update.cc
===================================================================
--- /orxonox/branches/updater/src/gui/orxonox_gui_update.cc	(revision 3314)
+++ /orxonox/branches/updater/src/gui/orxonox_gui_update.cc	(revision 3315)
@@ -1,5 +1,4 @@
 /* 
    orxonox - the future of 3D-vertical-scrollers
-
    Copyright (C) 2004 orx
 
@@ -37,23 +36,23 @@
    \brief Creates an Audio-Frame
 */
-OrxonoxGuiUpdate::OrxonoxGuiUpdate ()
+OrxonoxGuiUpdate::OrxonoxGuiUpdate(void)
 {
   this->getSystemInfo();
 
-  this->updateFrame = new Frame ("Update-Options:");
-  this->updateFrame->setGroupName ("update");
-  this->updateBox = new Box ('v');
+  this->updateFrame = new Frame("Update-Options:");
+  this->updateFrame->setGroupName("update");
+  this->updateBox = new Box('v');
 #ifdef HAVE_CURL
 
   // the Button for autoUpdating
-  this->autoUpdate = new CheckButton ("auto update");
+  this->autoUpdate = new CheckButton("auto update");
   this->updateBox->fill(this->autoUpdate);
-  this->autoUpdate->setFlagName ("update", "u", 0);
+  this->autoUpdate->setFlagName("update", "u", 0);
   this->autoUpdate->saveability();
 
-  this->updateSourceWindowCreate ();
+  this->updateSourceWindowCreate();
   this->updateBox->fill(this->updateSourceWindowGetButton());
 
-  this->updateDataWindowCreate ();
+  this->updateDataWindowCreate();
   this->updateBox->fill(this->updateDataWindowGetButton());
 
@@ -70,7 +69,7 @@
    \return Returns the Audio-frame
 */
-Widget* OrxonoxGuiUpdate::getWidget ()
-{
-  return updateFrame;
+Widget* OrxonoxGuiUpdate::getWidget(void)
+{
+  return this->updateFrame;
 }
 
@@ -81,24 +80,24 @@
 {
   PRINTF(3)("Grabbing system information\n");
-  tmpDir = getenv("TMPDIR");
-  if (!tmpDir)
-    tmpDir = "/tmp";
-  PRINTF(4)("Temporary directory is: %s\n", tmpDir);
+  this->tmpDir = getenv("TMPDIR");
+  if(!tmpDir)
+    this->tmpDir = "/tmp";
+  PRINTF(4)("Temporary directory is: %s\n", this->tmpDir);
 
 #ifdef __WIN32__
-  homeDir = getenv ("USERPROFILE");
+  this->homeDir = getenv("USERPROFILE");
 #else
-  homeDir = getenv("HOME");
+  this->homeDir = getenv("HOME");
 #endif
   PRINTF(4)("Home directory is %s\n", homeDir);
 
-  installDataDir = "/usr/share/games/orxonox";
-  PRINTF(4)("Installation of orxonox-data will go to this directory: %s\n", installDataDir);
-
-  installSourceDir = "/usr/games/bin";
-  PRINTF(4)("Installation of orxonox-source will go to this directory: %s\n", installSourceDir);
-
-  userName = getenv("USER");
-  PRINTF(4)("Logged in username is: %s\n", userName);
+  this->installDataDir = "/usr/share/games/orxonox";
+  PRINTF(4)("Installation of orxonox-data will go to this directory: %s\n", this->installDataDir);
+
+  this->installSourceDir = "/usr/games/bin";
+  PRINTF(4)("Installation of orxonox-source will go to this directory: %s\n", this->installSourceDir);
+
+  this->userName = getenv("USER");
+  PRINTF(4)("Logged in username is: %s\n", this->userName);
 }
 
@@ -119,11 +118,11 @@
    \brief Creates a window, and all it contains for the Data-update.
 */
-void OrxonoxGuiUpdate::updateDataWindowCreate (void)
-{
-  updateDataWindow = new Window ("update orxonox::Data");   
-  updateDataBox = new Box ('v');
+void OrxonoxGuiUpdate::updateDataWindowCreate(void)
+{
+  this->updateDataWindow = new Window("update orxonox::Data");   
+  this->updateDataBox = new Box('v');
 
   // the close-Button of the Update Window.
-  //  updateWindowClose = new Button ("close");
+  //  updateWindowClose = new Button("close");
 #ifdef HAVE_GTK2 
   //  updateWindowClose->connectSignal("button_press_event", updateWindow, Window::windowClose);
@@ -131,24 +130,24 @@
   //  updateWindowBox->fill(updateWindowClose);
 
-  updateDataBar = new ProgressBar ();
-  updateDataBox->fill(updateDataBar);
+  this->updateDataBar = new ProgressBar();
+  this->updateDataBox->fill(this->updateDataBar);
 
   FileInfo* dataInfo = new FileInfo;
-  dataInfo->bar = updateDataBar;
-
-  updateDataBegin = new Button ("begin.");
-  dataInfo->stateButton = updateDataBegin;
-#ifdef HAVE_GTK2 
-  dataInfo->buttonSignal = updateDataBegin->connectSignal ("button_press_event", dataInfo, updateDataFunc);
-#endif /* HAVE_GTK2 */
-  updateDataBox->fill(updateDataBegin);
-
-  updateDataWindow->fill (updateDataBox);
-
-  updateDataWindowButton = new Button ("update orxonox::Data");
-#ifdef HAVE_GTK2 
-  updateDataWindowButton->connectSignal("button_press_event", updateDataWindow, Window::windowOpen);
-  updateDataWindow->connectSignal("destroy", updateDataWindow, Window::windowClose);
-  updateDataWindow->connectSignal("delete_event", updateDataWindow, Window::windowClose);
+  dataInfo->bar = this->updateDataBar;
+
+  this->updateDataBegin = new Button("begin.");
+  dataInfo->stateButton = this->updateDataBegin;
+#ifdef HAVE_GTK2 
+  dataInfo->buttonSignal = updateDataBegin->connectSignal("button_press_event", dataInfo, updateDataFunc);
+#endif /* HAVE_GTK2 */
+  this->updateDataBox->fill(this->updateDataBegin);
+
+  this->updateDataWindow->fill(this->updateDataBox);
+
+  this->updateDataWindowButton = new Button("update orxonox::Data");
+#ifdef HAVE_GTK2 
+  this->updateDataWindowButton->connectSignal("button_press_event", this->updateDataWindow, Window::windowOpen);
+  this->updateDataWindow->connectSignal("destroy", this->updateDataWindow, Window::windowClose);
+  this->updateDataWindow->connectSignal("delete_event", this->updateDataWindow, Window::windowClose);
 #endif /* HAVE_GTK2 */
 
@@ -160,5 +159,5 @@
 Button* OrxonoxGuiUpdate::updateDataWindowGetButton(void)
 {
-  return updateDataWindowButton;
+  return this->updateDataWindowButton;
 }
 
@@ -166,17 +165,17 @@
    \brief Creates a window, and all it contains for the Source-update.
 */
-void OrxonoxGuiUpdate::updateSourceWindowCreate (void)
+void OrxonoxGuiUpdate::updateSourceWindowCreate(void)
 {
   // the button, that opens this Window.
-  updateSourceWindowButton = new Button ("update orxonox::Source");
+  this->updateSourceWindowButton = new Button("update orxonox::Source");
 
   // the Window itself
-  updateSourceWindow = new Window ("update orxonox::Source");
-
-  updateSourceBox = new Box ();
-
-  updateSourceBar = new ProgressBar ();
-  updateSourceBox->fill(updateSourceBar);
-  test = new Button ("increment");
+  this->updateSourceWindow = new Window("update orxonox::Source");
+
+  this->updateSourceBox = new Box();
+
+  this->updateSourceBar = new ProgressBar();
+  this->updateSourceBox->fill(this->updateSourceBar);
+  test = new Button("increment");
 
 #ifdef HAVE_GTK2 
@@ -184,10 +183,10 @@
 #endif /* HAVE_GTK2 */
 
-  updateSourceBox->fill(test);
-  updateSourceWindow->fill(updateSourceBox); 
-#ifdef HAVE_GTK2 
-  updateSourceWindowButton->connectSignal("button_press_event", updateSourceWindow, Window::windowOpen);
-  updateSourceWindow->connectSignal("destroy", updateSourceWindow, Window::windowClose);
-  updateSourceWindow->connectSignal("delete_event", updateSourceWindow, Window::windowClose);
+  this->updateSourceBox->fill(test);
+  this->updateSourceWindow->fill(updateSourceBox); 
+#ifdef HAVE_GTK2 
+  this->updateSourceWindowButton->connectSignal("button_press_event", this->updateSourceWindow, Window::windowOpen);
+  this->updateSourceWindow->connectSignal("destroy", this->updateSourceWindow, Window::windowClose);
+  this->updateSourceWindow->connectSignal("delete_event", this->updateSourceWindow, Window::windowClose);
 #endif /* HAVE_GTK2 */
 
@@ -199,5 +198,5 @@
 Button* OrxonoxGuiUpdate::updateSourceWindowGetButton(void)
 {
-  return updateSourceWindowButton;
+  return this->updateSourceWindowButton;
 }
 
@@ -212,5 +211,5 @@
 gint OrxonoxGuiUpdate::updateDataFunc(GtkWidget* w, GdkEventKey* event, void* info)
 {
-  FileInfo* dataInfo = (FileInfo*)info;
+  FileInfo* dataInfo =(FileInfo*)info;
 
   dataInfo->fileName = "02%20orxonox%203.mp3";
@@ -242,5 +241,5 @@
    \param stream Filehandler to write to.
 */
-size_t OrxonoxGuiUpdate::curlWriteFunc (void* ptr, size_t size, size_t nmemb, FILE* stream)
+size_t OrxonoxGuiUpdate::curlWriteFunc(void* ptr, size_t size, size_t nmemb, FILE* stream)
 {
   return fwrite(ptr, size, nmemb, stream);
@@ -254,5 +253,5 @@
    \param stream Filehandler to get data from.
 */
-size_t OrxonoxGuiUpdate::curlReadFunc (void* ptr, size_t size, size_t nmemb, FILE* stream)
+size_t OrxonoxGuiUpdate::curlReadFunc(void* ptr, size_t size, size_t nmemb, FILE* stream)
 {
   return fread(ptr, size, nmemb, stream);
@@ -268,8 +267,8 @@
    \param upProgress not needed
 */
-int OrxonoxGuiUpdate::curlProgressFunc (ProgressBar* Bar, double totalSize, double progress, double upTotal, double upProgress)
-{
-  Bar->setProgress(progress);
-  Bar->setTotalSize(totalSize);
+int OrxonoxGuiUpdate::curlProgressFunc(ProgressBar* bar, double totalSize, double progress, double upTotal, double upProgress)
+{
+  bar->setProgress(progress);
+  bar->setTotalSize(totalSize);
 #ifdef HAVE_GTK2
 #ifndef HAVE_PTHREAD_H
@@ -281,5 +280,5 @@
 
 /**
-   \brief The Curl handle for only one CURL (static).
+   \brief The Curl handle for only one CURL(static).
 */
 CURL* OrxonoxGuiUpdate::curlHandle = NULL;
@@ -305,5 +304,5 @@
 bool OrxonoxGuiUpdate::download(void* fileInfo)
 {
-  if (isDownloading)
+  if(isDownloading)
     {
       PRINTF(2)("unable to Download. already getting some file\n");
@@ -311,18 +310,18 @@
     }
   PRINTF(3)("Downloading.\n");
-  FileInfo* info = (FileInfo*)fileInfo;
+  FileInfo* info =(FileInfo*)fileInfo;
   CURLcode res;
   CURL* localCurl;
   localCurl = curl_easy_init();
   char* fileOnNet = new char [strlen(info->webRoot)+strlen(info->fileName)+2];
-  strcpy (fileOnNet, info->webRoot);
-  if (fileOnNet[strlen(fileOnNet)] != '/') //!< \todo windows-shit
-    strcat (fileOnNet, "/");
-  strcat (fileOnNet, info->fileName);
+  strcpy(fileOnNet, info->webRoot);
+  if(fileOnNet[strlen(fileOnNet)] != '/') //!< \todo windows-shit
+    strcat(fileOnNet, "/");
+  strcat(fileOnNet, info->fileName);
   char* fileOnDisk = new char [strlen(info->localRoot)+strlen(info->fileName)+2];
-  strcpy (fileOnDisk, info->localRoot);
-  if (fileOnDisk[strlen(fileOnDisk)] != '/') //!< \todo windows-shit
-    strcat (fileOnDisk, "/");
-  strcat (fileOnDisk, info->fileName);
+  strcpy(fileOnDisk, info->localRoot);
+  if(fileOnDisk[strlen(fileOnDisk)] != '/') //!< \todo windows-shit
+    strcat(fileOnDisk, "/");
+  strcat(fileOnDisk, info->fileName);
   
   if(localCurl)
@@ -340,5 +339,5 @@
 
       curl_easy_cleanup(localCurl);
-      fclose (info->fileHandle);
+      fclose(info->fileHandle);
     }
 }
@@ -353,5 +352,5 @@
 bool OrxonoxGuiUpdate::downloadWithStyle(void* fileInfo)
 {
-  if (isDownloading)
+  if(isDownloading)
     {
       PRINTF(2)("unable to Download. already getting some file\n");
@@ -359,13 +358,13 @@
     }
   PRINTF(3)("Downloading.\n");
-  FileInfo* info = (FileInfo*)fileInfo;
+  FileInfo* info =(FileInfo*)fileInfo;
   CURLcode res;
   curlHandle = curl_easy_init();
   char* fileOnNet = new char [strlen(info->webRoot)+strlen(info->fileName)+1];
-  strcpy (fileOnNet, info->webRoot);
-  strcat (fileOnNet, info->fileName);
+  strcpy(fileOnNet, info->webRoot);
+  strcat(fileOnNet, info->fileName);
   char* fileOnDisk = new char [strlen(info->localRoot)+strlen(info->fileName)+1];
-  strcpy (fileOnDisk, info->localRoot);
-  strcat (fileOnDisk, info->fileName);
+  strcpy(fileOnDisk, info->localRoot);
+  strcat(fileOnDisk, info->fileName);
 
   if(curlHandle)
@@ -382,5 +381,5 @@
       curl_easy_setopt(curlHandle, CURLOPT_PROGRESSDATA, info->bar);
 
-      if (!isDownloading)
+      if(!isDownloading)
 	{
 #ifdef HAVE_PTHREAD_H	  
@@ -418,5 +417,5 @@
 
 /**
-   \brief The downloading process (either threaded or not).
+   \brief The downloading process(either threaded or not).
    \param fileInfo the FileInfo.
 
@@ -435,12 +434,12 @@
 void* OrxonoxGuiUpdate::downloadThreadFinished(void* fileInfo)
 { 
-  FileInfo* info = (FileInfo*)fileInfo;
-#ifdef HAVE_PTHREAD_H
-  pthread_join (*downloadThreadID, NULL);
+  FileInfo* info =(FileInfo*)fileInfo;
+#ifdef HAVE_PTHREAD_H
+  pthread_join(*downloadThreadID, NULL);
 #ifdef HAVE_GTK2 
   gdk_threads_enter();
 #endif /* HAVE_GTK2 */
 #endif /* HAVE_PTHREAD_H */
-  if (curlHandle)
+  if(curlHandle)
     curl_easy_cleanup(curlHandle);
  
@@ -448,5 +447,5 @@
   fclose(info->fileHandle);
 
-  if (isDownloading)
+  if(isDownloading)
     info->stateButton->setTitle("go on");
   //  else
Index: /orxonox/branches/updater/src/gui/orxonox_gui_update.h
===================================================================
--- /orxonox/branches/updater/src/gui/orxonox_gui_update.h	(revision 3314)
+++ /orxonox/branches/updater/src/gui/orxonox_gui_update.h	(revision 3315)
@@ -31,5 +31,5 @@
   char* userName;                       //!< The user logged in.
 
-  bool getSystemInfo();
+  bool getSystemInfo(void);
  
   // Window creation.
@@ -53,6 +53,6 @@
 
 #ifdef HAVE_GTK2
-  static gint updateDataFunc (GtkWidget* w, GdkEventKey* event, void* info);
-  static gint updateSourceFunc (GtkWidget* w, GdkEventKey* event, void* info);
+  static gint updateDataFunc(GtkWidget* w, GdkEventKey* event, void* info);
+  static gint updateSourceFunc(GtkWidget* w, GdkEventKey* event, void* info);
 #endif /* HAVE_GTK2 */
 
@@ -71,7 +71,7 @@
   };
 
-  static size_t curlWriteFunc (void* ptr, size_t size, size_t nmemb, FILE* stream);
-  static size_t curlReadFunc (void* ptr, size_t size, size_t nmemb, FILE* stream);
-  static int curlProgressFunc (ProgressBar* Bar, double totalSize, double progress, double upTotal, double upProgress);
+  static size_t curlWriteFunc(void* ptr, size_t size, size_t nmemb, FILE* stream);
+  static size_t curlReadFunc(void* ptr, size_t size, size_t nmemb, FILE* stream);
+  static int curlProgressFunc(ProgressBar* bar, double totalSize, double progress, double upTotal, double upProgress);
 
   static CURL* curlHandle;
@@ -85,7 +85,7 @@
   static bool isDownloading;
 
-  static bool download (void* fileInfo);
-  static bool downloadWithStyle (void* fileInfo);
-  static void* downloadThread (void* fileInfo);
+  static bool download(void* fileInfo);
+  static bool downloadWithStyle(void* fileInfo);
+  static void* downloadThread(void* fileInfo);
   static void* downloadThreadFinished(void* fileInfo);
 
@@ -94,16 +94,16 @@
 
  public:
-  OrxonoxGuiUpdate ();
-  ~OrxonoxGuiUpdate ();
+  OrxonoxGuiUpdate(void);
+  ~OrxonoxGuiUpdate(void);
   
-  Widget* getWidget ();
+  Widget* getWidget(void);
 #ifdef HAVE_CURL   
-  void updateDataWindowCreate (void);
+  void updateDataWindowCreate(void);
   Button* updateDataWindowGetButton(void);
 
-  void updateSourceWindowCreate (void);
+  void updateSourceWindowCreate(void);
   Button* updateSourceWindowGetButton(void);
 
-  bool* checkForUpdates();
+  bool* checkForUpdates(void);
  
 #endif /* HAVE_CURL */
Index: /orxonox/branches/updater/src/gui/orxonox_gui_video.cc
===================================================================
--- /orxonox/branches/updater/src/gui/orxonox_gui_video.cc	(revision 3314)
+++ /orxonox/branches/updater/src/gui/orxonox_gui_video.cc	(revision 3315)
@@ -30,20 +30,20 @@
    \brief Creates the Video-Option-Frame
 */
-OrxonoxGuiVideo::OrxonoxGuiVideo ()
+OrxonoxGuiVideo::OrxonoxGuiVideo(void)
 {
-  videoFrame = new Frame ("Video-Options:");
-  videoBox = new Box ('v');
-  videoFrame->setGroupName("video");
+  this->videoFrame = new Frame("Video-Options:");
+  this->videoBox = new Box('v');
+  this->videoFrame->setGroupName("video");
   
-  fullscreen = new CheckButton ("Fullscreen-mode");
-  fullscreen->setFlagName ("windowed", "q", 1);
-  fullscreen->saveability();
-  videoBox->fill (fullscreen);
-  wireframe = new CheckButton ("WireFrame-mode");
-  wireframe->setFlagName ("wireframe", "w", 0);
-  wireframe->saveability();
-  videoBox->fill (wireframe);
+  this->fullscreen = new CheckButton("Fullscreen-mode");
+  this->fullscreen->setFlagName("windowed", "q", 1);
+  this->fullscreen->saveability();
+  this->videoBox->fill(fullscreen);
+  this->wireframe = new CheckButton("WireFrame-mode");
+  this->wireframe->setFlagName("wireframe", "w", 0);
+  this->wireframe->saveability();
+  this->videoBox->fill(wireframe);
 
-  videoFrame->fill (videoBox);
+  this->videoFrame->fill(videoBox);
 }
 
@@ -51,6 +51,6 @@
    \return Returns the Video-frame
 */
-Widget* OrxonoxGuiVideo::getWidget ()
+Widget* OrxonoxGuiVideo::getWidget(void)
 {
-  return videoFrame;
+  return this->videoFrame;
 }
Index: /orxonox/branches/updater/src/gui/orxonox_gui_video.h
===================================================================
--- /orxonox/branches/updater/src/gui/orxonox_gui_video.h	(revision 3314)
+++ /orxonox/branches/updater/src/gui/orxonox_gui_video.h	(revision 3315)
@@ -17,8 +17,8 @@
   CheckButton* wireframe;   //!< CheckButton for wireframe Mode.
  public:
-  OrxonoxGuiVideo ();
-  ~OrxonoxGuiVideo ();
+  OrxonoxGuiVideo(void);
+  ~OrxonoxGuiVideo(void);
   
-  Widget* getWidget ();
+  Widget* getWidget(void);
 };
 #endif /* _ORXONOX_GUI_VIDEO_H */
